     
  ----------------------------------------------

#FILE(NALSPR)
NALSPR               FILE,DRIVER('TOPSPEED'),PRE(NSP),CREATE,THREAD
KEYNAME                  KEY(NSP:NOMERF,NSP:NAME,NSP:ID),NOCASE,OPT
KEYNOMER                 KEY(NSP:NOMER,NSP:ID),NOCASE,OPT
KEYNOMERF                KEY(NSP:NOMERF,NSP:NOMER,NSP:ID),NOCASE,OPT
KEYTABN                  KEY(NSP:TABN,NSP:NOMERF,NSP:ID),NOCASE,OPT
KEYID                    KEY(NSP:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NOMER                       LONG
STATUS                      BYTE
STAVKA                      BYTE
KPP                         STRING(9)
OKATO                       STRING(11)
NOMERF                      BYTE
TABN                        LONG
NAME                        STRING(20)
DATAS                       LONG
DATAAKT                     LONG
PERED                       BYTE
KORR                        BYTE
GRRASCH                     GROUP
GROUPDM                       GROUP
DOXMON                          DECIMAL(15,2),DIM(12)
                              END
DOXOD                         DECIMAL(15,2)
DOXODOBL                      DECIMAL(15,2)
NALOGDN                       DECIMAL(15,2)
NALOGDU                       DECIMAL(15,2)
DIVID                         DECIMAL(15,2)
NALOGDVN                      DECIMAL(15,2)
NALOGDVU                      DECIMAL(15,2)
MATVN                         DECIMAL(15,2)
MATVO                         DECIMAL(15,2)
NALOGMN                       DECIMAL(15,2)
NALOGMU                       DECIMAL(15,2)
NALOGP                        DECIMAL(15,2)
NALOGDOLG                     DECIMAL(15,2)
NALOGR                        DECIMAL(15,2)
                            END
ID                          LONG
                         END
                     END                       

#FILE(Bank)
Bank                 FILE,DRIVER('TOPSPEED'),PRE(BN),CREATE,THREAD
KeyName                  KEY(BN:Name,BN:ID),NOCASE,OPT
KeyID                    KEY(BN:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Name                        STRING(50)
NameFull                    STRING(200)
BIK                         STRING(9)
KS                          STRING(20)
Archive                     BYTE
NoSalaryProject             BYTE
Multy                       BYTE
ID                          LONG
                         END
                     END                       

#FILE(LocNormDocBank)
LocNormDocBank       FILE,DRIVER('TOPSPEED'),PRE(LNDB),CREATE,THREAD
KeyID                    KEY(LNDB:ID),NOCASE,OPT,PRIMARY
TextDoc                     BLOB,BINARY
Record                   RECORD,PRE()
Name                        STRING(120)
Kateg                       STRING(100)
Area                        STRING(100)
Remark                      STRING(200)
TypeSave                    BYTE
Req                         BYTE
ID                          LONG
                         END
                     END                       

#FILE(ReservOtp)
ReservOtp            FILE,DRIVER('TOPSPEED'),PRE(ResO),CREATE,THREAD
KeyDate                  KEY(ResO:Org,ResO:DateRes,ResO:ID),NOCASE,OPT
KeyID                    KEY(ResO:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Org                         LONG
DateRes                     LONG
VidR                        BYTE
Sum                         DECIMAL(15,2)
Remark                      STRING(200)
ID                          LONG
                         END
                     END                       

#FILE(ChinSpra)
ChinSpra             FILE,DRIVER('TOPSPEED'),PRE(ChS),CREATE,THREAD
KeyName                  KEY(ChS:Name,ChS:ID),NOCASE,OPT
KeyID                    KEY(ChS:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Name                        STRING(100)
NextChin                    DECIMAL(5,2)
ID                          LONG
                         END
                     END                       

#FILE(BiznesMaster)
BiznesMaster         FILE,DRIVER('TOPSPEED'),PRE(BZMs),CREATE,THREAD
KeyID                    KEY(BZMs:ID),NOCASE,OPT,PRIMARY
KeyNPP                   KEY(BZMs:NPP),NOCASE,OPT
Record                   RECORD,PRE()
Name                        STRING(100)
NPP                         LONG
LEVEL                       LONG
ISGroup                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(BankL)
BankL                FILE,DRIVER('TOPSPEED'),PRE(BNL),CREATE,THREAD
KeyFizlist               KEY(BNL:IDFizList,BNL:IDBank),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDFizList                   LONG
IDBank                      LONG
Account                     STRING(20)
PayCard                     STRING(19)
                         END
                     END                       

#FILE(Constant)
Constant             FILE,DRIVER('TOPSPEED'),PRE(Con),CREATE
KeyName                  KEY(Con:NameGroup,Con:NameConstant),NOCASE,OPT
KeyID                    KEY(Con:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NameGroup                   STRING(40)
NameConstant                STRING(40)
Znach                       STRING(255)
ID                          LONG
                         END
                     END                       

#FILE(ZAEM)
ZAEM                 FILE,DRIVER('TOPSPEED'),PRE(ZAE),CREATE,THREAD
KEYTABN                  KEY(ZAE:TABN,ZAE:ID),NOCASE,OPT
KEYDATA                  KEY(ZAE:DATADOG,ZAE:NOMERDOG,ZAE:ID),NOCASE,OPT
KEYNAME                  KEY(ZAE:NAME,ZAE:ID),NOCASE,OPT
KEYID                    KEY(ZAE:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
NAME                        STRING(20)
NOMERDOG                    STRING(10)
DATADOG                     LONG
VIDVIG                      LONG
SUM                         DECIMAL(15,2)
DATAB                       LONG
DATAE                       LONG
PROCENT                     DECIMAL(6,2)
VIDPOG                      BYTE
VIDPOGSUM                   DECIMAL(15,2)
VIDPOGUD                    LONG
CELL                        LONG
VIDRAS                      LONG
REMARK                      STRING(40)
ID                          LONG
                         END
                     END                       

#FILE(AtestMain)
AtestMain            FILE,DRIVER('TOPSPEED'),PRE(ATSM),CREATE,THREAD
KeyID                    KEY(ATSM:ID),NOCASE,OPT,PRIMARY
KeyData                  KEY(ATSM:DataPlan,ATSM:ID),NOCASE,OPT
Record                   RECORD,PRE()
DataPlan                    LONG
DataB                       LONG
DataE                       LONG
DataD                       LONG
NomerD                      STRING(10)
DataDok                     LONG
NomerDok                    STRING(10)
Remark                      STRING(60)
TypeAtes                    LONG
ID                          LONG
                         END
                     END                       

#FILE(AtestOz)
AtestOz              FILE,DRIVER('TOPSPEED'),PRE(ATSO),CREATE,THREAD
KeyAtest                 KEY(ATSO:IDAtest,ATSO:NPP),DUP,NOCASE,OPT
KeyCompet                KEY(ATSO:IDCompet,ATSO:Tabn,ATSO:DataAtest),NOCASE,OPT
Record                   RECORD,PRE()
IDAtest                     LONG
Tabn                        LONG
DataAtest                   LONG
NPP                         LONG
IDCompet                    LONG
Ozenka                      BYTE
                         END
                     END                       

#FILE(WORKOTGUL)
WORKOTGUL            FILE,DRIVER('TOPSPEED'),PRE(WOTG),CREATE,THREAD
KEYTABN                  KEY(WOTG:TABN,WOTG:DATAW,WOTG:ID),NOCASE,OPT
KEYID                    KEY(WOTG:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
KODWORK                     LONG
DATAW                       LONG
DAY                         DECIMAL(7,2)
ID                          LONG
                         END
                     END                       

#FILE(CHECKSTAG)
CHECKSTAG            FILE,DRIVER('TOPSPEED'),PRE(CHST),CREATE,THREAD
KeyUT                    KEY(CHST:UT,CHST:KPS,CHST:VL_O),DUP,NOCASE
KEYKPS                   KEY(CHST:KPS,CHST:UT,CHST:VL_O),DUP,NOCASE
KeyIT                    KEY(CHST:IT_O,CHST:UT),DUP,NOCASE
KEYVL                    KEY(CHST:VL_O,CHST:UT,CHST:KPS),DUP,NOCASE
Record                   RECORD,PRE()
SEARCH                      GROUP
UT                            STRING(6)
KPS                           STRING(14)
IT_O                          STRING(7)
VL_O                          STRING(8)
REMARK                        STRING(100)
                            END
DATAB                       LONG
DATAE                       LONG
                         END
                     END                       

#FILE(OKPDTR)
OKPDTR               FILE,DRIVER('TOPSPEED'),PRE(OKP),CREATE,THREAD
KEYNAME                  KEY(OKP:NAME),DUP,NOCASE,OPT
KEYID                    KEY(OKP:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
ID                          STRING(5)
NAME                        STRING(100)
TIPDOLG                     BYTE
OKZ                         STRING(4)
                         END
                     END                       

#FILE(ANALIZP)
ANALIZP              FILE,DRIVER('TOPSPEED'),PRE(ANP),CREATE,THREAD
KEYPERIOD                KEY(ANP:IDANALIZ,ANP:TYPE,ANP:ZNACH),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDANALIZ                    LONG
TYPE                        BYTE
ZNACH                       DECIMAL(15,2)
                         END
                     END                       

#FILE(BiznesStage)
BiznesStage          FILE,DRIVER('TOPSPEED'),PRE(BZSt),CREATE,THREAD
KeyMaster                KEY(BZSt:IDMaster,BZSt:NPP),NOCASE,OPT
KEYID                    KEY(BZSt:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDMaster                    LONG
NPP                         LONG
Name                        STRING(100)
Remark                      STRING(256)
ID                          LONG
                         END
                     END                       

#FILE(SPRAVRED)
SPRAVRED             FILE,DRIVER('TOPSPEED'),PRE(SVF),CREATE,THREAD
KEYKOD                   KEY(SVF:Version,SVF:Pril,SVF:KOD),NOCASE,OPT
KeyID                    KEY(SVF:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KOD                         STRING(10)
Version                     BYTE
LEVEL                       LONG
Name                        STRING(250)
Period                      BYTE
Pril                        BYTE
ID                          LONG
                         END
                     END                       

#FILE(ANALIZ)
ANALIZ               FILE,DRIVER('TOPSPEED'),PRE(ANL),CREATE,THREAD
KEYNAME                  KEY(ANL:NAME,ANL:ID),NOCASE,OPT
KEYID                    KEY(ANL:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(100)
DOSTUP                      BYTE
TYPEDATA                    LONG
ROWKKOD                     LONG
ROWKOD                      LONG
COLKKOD                     LONG
COLKOD                      LONG
ID                          LONG
                         END
                     END                       

#FILE(CompetOz)
CompetOz             FILE,DRIVER('TOPSPEED'),PRE(CMTOZ),CREATE,THREAD
KeyCompet                KEY(CMTOZ:IDCompet,CMTOZ:Rate),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDCompet                    LONG
Rate                        BYTE
Ball                        BYTE
Name                        STRING(200)
Stat                        DECIMAL(7,2)
                         END
                     END                       

#FILE(ChinOklad)
ChinOklad            FILE,DRIVER('TOPSPEED'),PRE(CHO),CREATE,THREAD
KeyChin                  KEY(CHO:Chin,CHO:DataB),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Chin                        LONG
DataB                       LONG
Oklad                       DECIMAL(15,2)
                         END
                     END                       

#FILE(ListChar)
ListChar             FILE,DRIVER('TOPSPEED'),PRE(LChar),CREATE,THREAD
KeyTabn                  KEY(LChar:Tabn,LChar:IDQuest),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Tabn                        LONG
IDQuest                     LONG
Rate                        BYTE
                         END
                     END                       

#FILE(LGOT)
LGOT                 FILE,DRIVER('TOPSPEED'),PRE(LGT),CREATE,THREAD
KEYTABN                  KEY(LGT:TABN,LGT:VIDNAL,LGT:KOD,LGT:DATAB,LGT:ID),NOCASE,OPT
KEYID                    KEY(LGT:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
VIDNAL                      BYTE
KOD                         STRING(4)
DATAB                       LONG
DATAE                       LONG
SUM                         DECIMAL(15,2)
NOMERD                      STRING(20)
DATAD                       LONG
KEMVIDD                     STRING(4)
NomerD1                     STRING(11)
DataD1                      LONG
DataD2                      LONG
VidDoc                      BYTE
ID                          LONG
KemVid                      LONG
Ter                         LONG
DataMig                     LONG
NomerMig                    STRING(20)
KemMig                      LONG
PlanPer                     LONG
                         END
                     END                       

#FILE(CompetProf)
CompetProf           FILE,DRIVER('TOPSPEED'),PRE(CMTPR),CREATE,THREAD
KeyName                  KEY(CMTPR:Name,CMTPR:ID),NOCASE,OPT
KeyID                    KEY(CMTPR:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Name                        STRING(50)
PeriodAtest                 DECIMAL(7,2)
ID                          LONG
                         END
                     END                       

#FILE(CompetProfS)
CompetProfS          FILE,DRIVER('TOPSPEED'),PRE(CMTPS),CREATE,THREAD
KeyProf                  KEY(CMTPS:IDProf,CMTPS:NPP),DUP,NOCASE,OPT
KeyCompet                KEY(CMTPS:IDCompet,CMTPS:IDProf),DUP,NOCASE,OPT
Record                   RECORD,PRE()
IDProf                      LONG
IDCompet                    LONG
NPP                         LONG
VALUE                       DECIMAL(7,2)
                         END
                     END                       

#FILE(MEDOSMS)
MEDOSMS              FILE,DRIVER('TOPSPEED'),PRE(MDS),CREATE,THREAD
KEYTABN                  KEY(MDS:TABN,MDS:DataN,MDS:ID),NOCASE,OPT
KeyMed                   KEY(MDS:IDMed,MDS:NAME),DUP,NOCASE,OPT
KEYDATA                  KEY(MDS:DataN,MDS:NOMERM,MDS:ID),NOCASE,OPT
KeyID                    KEY(MDS:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDMed                       LONG
TABN                        LONG
NAME                        STRING(20)
DataN                       LONG
NOMERM                      LONG
DATAF                       LONG
SOST                        BYTE
REMARK                      STRING(30)
ID                          LONG
                         END
                     END                       

#FILE(KLADRREG)
KLADRREG             FILE,DRIVER('TOPSPEED'),PRE(KLDRG),CREATE,BINDABLE,THREAD
KEYNAME                  KEY(KLDRG:NAME,KLDRG:KODREG),NOCASE,OPT
KEYREG                   KEY(KLDRG:KODREG),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(45)
KODREG                      STRING(2)
INDEX                       STRING(6)
GNINMB                      STRING(4)
                         END
                     END                       

#FILE(KODNAL)
KODNAL               FILE,DRIVER('TOPSPEED'),PRE(KNG),CREATE,THREAD
KEYNAME                  KEY(KNG:KKOD,KNG:KOD),DUP,NOCASE,OPT
Record                   RECORD,PRE()
KKOD                        BYTE
KOD                         STRING(20)
NAME                        STRING(60)
DataB                       LONG
DataE                       LONG
OLDKOD                      STRING(11)
                         END
                     END                       

#FILE(FDOCS)
FDOCS                FILE,DRIVER('TOPSPEED'),PRE(DSU),CREATE,THREAD
KEYNAST                  KEY(DSU:USER,DSU:KODREP),NOCASE
Record                   RECORD,PRE()
USER                        BYTE
KODREP                      BYTE
DEVICE                      STRING(30)
GRNAST                      GROUP
COPY                          BYTE
TYPEPAPER                     BYTE
TPWIDTH                       DECIMAL(9,2)
TPHEIGHT                      DECIMAL(9,2)
MINWIDTH                      DECIMAL(9,2)
MINHEIGHT                     DECIMAL(9,2)
RASPOL                        BYTE
OFFTOP                        DECIMAL(9,2)
OFFBOTTOM                     DECIMAL(9,2)
OFFLEFT                       DECIMAL(9,2)
OFFRIGHT                      DECIMAL(9,2)
FONTSIZE                      DECIMAL(4,1)
INTERVALTYPE                  BYTE
INTERVALSIZE                  DECIMAL(4,1)
WIDTH1                        LONG
COUNT                         LONG
QUALITY                       BYTE
                            END
                         END
                     END                       

#FILE(DogovOpl)
DogovOpl             FILE,DRIVER('TOPSPEED'),PRE(DOGO),CREATE,THREAD
KeyDog                   KEY(DOGO:IDDog,DOGO:DataAkt,DOGO:ID),NOCASE,OPT
KeyTabn                  KEY(DOGO:Tabn,DOGO:DataOpl,DOGO:ID),NOCASE,OPT
KeyID                    KEY(DOGO:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDDog                       LONG
DataAkt                     LONG
DataOpl                     LONG
Sum                         DECIMAL(15,2)
Tabn                        LONG
DataV                       BYTE
ID                          LONG
                         END
                     END                       

#FILE(ANKET)
ANKET                FILE,DRIVER('TOPSPEED'),PRE(ANK),CREATE,THREAD
KEYNAME                  KEY(ANK:NOMERSD,ANK:NAME,ANK:ID),NOCASE,OPT
KEYPOD                   KEY(ANK:NOMERSD,ANK:NOMP,ANK:NOMD,ANK:NAME,ANK:ID),NOCASE,OPT
KEYTABN                  KEY(ANK:TABN,ANK:ID),NOCASE,OPT
KEYID                    KEY(ANK:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NOMERSD                     SHORT
NOMP                        LONG
NOMD                        BYTE
DOC                         BYTE
TABN                        LONG
NAME                        STRING(20)
NAMES                       STRING(20)
FNAMES                      STRING(20)
LNAMES                      STRING(20)
NAMEN                       STRING(20)
FNAMEN                      STRING(20)
LNAMEN                      STRING(20)
PHONE                       STRING(20)
POLS                        BYTE
POLN                        BYTE
DATAZ                       LONG
DATAR                       LONG
DATARN                      LONG
MESTORV                     BYTE
MESTORVN                    BYTE
MESTORGN                    LONG
MESTORRN                    LONG
MESTORON                    LONG
MESTORSN                    LONG
COUNTRY                     LONG
ADRESP                      STRING(110)
ADRESJ                      STRING(110)
OPFR                        LONG
ID                          LONG
                         END
                     END                       

#FILE(COUNTRY)
COUNTRY              FILE,DRIVER('TOPSPEED'),PRE(CNT),CREATE,BINDABLE,THREAD
KEYNAME                  KEY(CNT:NAME),DUP,NOCASE,OPT
KEYSOCR                  KEY(CNT:SOCR),DUP,NOCASE,OPT
KEYKOD                   KEY(CNT:KOD),DUP,NOCASE,OPT
Record                   RECORD,PRE()
NAME                        STRING(40)
SOCR                        STRING(3)
KOD                         SHORT
                         END
                     END                       

#FILE(DSVList)
DSVList              FILE,DRIVER('TOPSPEED'),PRE(DSVL),CREATE,THREAD
KeyName                  KEY(DSVL:IDReestr,DSVL:Name),DUP,NOCASE,OPT
KeyTabn                  KEY(DSVL:IDReestr,DSVL:Tabn),DUP,NOCASE,OPT
Record                   RECORD,PRE()
IDReestr                    LONG
Tabn                        LONG
Name                        STRING(20)
SumSotr                     DECIMAL(15,2)
SumOrg                      DECIMAL(15,2)
                         END
                     END                       

#FILE(Tabel)
Tabel                FILE,DRIVER('TOPSPEED'),PRE(Tbl),CREATE,THREAD
KEYTABEL                 KEY(Tbl:TABN,Tbl:MM),NOCASE,OPT
Record                   RECORD,PRE()
TABN                        LONG
MM                          BYTE
TABEL                       BYTE,DIM(31)
TABELH                      DECIMAL(4,2),DIM(31)
DAY                         DECIMAL(7,2)
HOUR                        DECIMAL(7,2)
HOURVID                     DECIMAL(7,2),DIM(5)
FlagUtv                     BYTE
                         END
                     END                       

#FILE(DOGOVDS)
DOGOVDS              FILE,DRIVER('TOPSPEED'),PRE(DOGDS),CREATE,THREAD
KEYDOG                   KEY(DOGDS:IDDOG,DOGDS:DATADS,DOGDS:ID),NOCASE,OPT
KEYID                    KEY(DOGDS:ID),NOCASE,OPT,PRIMARY
TextDog                     BLOB,BINARY
Record                   RECORD,PRE()
IDDOG                       LONG
DATADS                      LONG
NOMERDS                     STRING(10)
DATAB                       LONG
PODR                        LONG
DOLG                        LONG
OKLAD                       DECIMAL(15,2)
SUM                         DECIMAL(15,2)
REMARK                      STRING(60)
TYPESAVE                    BYTE
DATESAVE                    LONG
TIMESAVE                    LONG
ID                          LONG
                         END
                     END                       

#FILE(INDSV)
INDSV                FILE,DRIVER('TOPSPEED'),PRE(ISV),CREATE,THREAD
KEYTABN                  KEY(ISV:TABN,ISV:ID),NOCASE,OPT
KEYSP                    KEY(ISV:TYPESVED,ISV:NOMP,ISV:NOMD,ISV:NOMSV,ISV:NAME,ISV:ID),NOCASE,OPT
KEYSN                    KEY(ISV:TYPESVED,ISV:NAME,ISV:ID),NOCASE,OPT
KEYID                    KEY(ISV:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NOMP                        LONG
NOMD                        SHORT
NOMSV                       SHORT
TYPEFORM                    BYTE
DATAAKT                     LONG
TABN                        LONG
NAME                        STRING(20)
DOPTAR                      STRING(4)
TYPESVED                    BYTE
TYPEKORR                    BYTE
KORRKV                      BYTE
KORRYEAR                    SHORT
KorrNPOLIS                  DECIMAL(13)
DATAZ                       LONG
DATADOG                     LONG
VIDOPL                      BYTE
MONB                        BYTE
DAYB                        BYTE
MONA                        BYTE
DAYA                        BYTE
ADRESPR                     STRING(110)
NALSTR                      DECIMAL(15,2)
NALNAK                      DECIMAL(15,2)
NALDOP                      DECIMAL(15,2)
SUMDOP                      DECIMAL(15,2)
OBSTR                       DECIMAL(15,2)
OBNAK                       DECIMAL(15,2)
SUM1                        DECIMAL(18,2)
SUM2                        DECIMAL(15,2)
ID                          LONG
                         END
                     END                       

#FILE(VARREP)
VARREP               FILE,DRIVER('TOPSPEED'),PRE(VR),CREATE,THREAD
KEYREP                   KEY(VR:YEAR,VR:OBOSOB,VR:KODV),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
YEAR                        SHORT
OBOSOB                      BYTE
KODV                        BYTE
SUM                         DECIMAL(15,2),DIM(12)
                         END
                     END                       

#FILE(GRAFIKNAST)
GRAFIKNAST           FILE,DRIVER('TOPSPEED'),PRE(GRFN),CREATE,THREAD
KEYNAME                  KEY(GRFN:NAME,GRFN:ID),NOCASE,OPT
KEYID                    KEY(GRFN:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(30)
FV                          BYTE,DIM(7)
HOURM                       DECIMAL(5,2),DIM(7)
HOURW                       DECIMAL(5,2),DIM(7)
ARCHIVE                     BYTE
INCHD                       BYTE
NoPerenos                   BYTE
TypeGrafik                  BYTE
NormaGrafik                 LONG
DataB                       LONG
CountDay                    BYTE
WorkB                       LONG,DIM(7)
WorkE                       LONG,DIM(7)
SredNorma                   BYTE
CalcPrazd                   BYTE
Calculation                 BYTE
ID                          LONG
                         END
                     END                       

#FILE(DSVMain)
DSVMain              FILE,DRIVER('TOPSPEED'),PRE(DSVM),CREATE,THREAD
KeyID                    KEY(DSVM:ID),NOCASE,OPT,PRIMARY
KeyReestr                KEY(DSVM:OBOSOB,DSVM:Year,DSVM:Month,DSVM:ID),NOCASE,OPT
Record                   RECORD,PRE()
OBOSOB                      LONG
Month                       BYTE
Year                        SHORT
DataP                       LONG
NomerP                      STRING(20)
DataIsp                     LONG
NomP                        LONG
DataS                       LONG
SumSotr                     DECIMAL(15,2)
SumOrg                      DECIMAL(15,2)
Count                       LONG
ID                          LONG
                         END
                     END                       

#FILE(GrafikPer)
GrafikPer            FILE,DRIVER('TOPSPEED'),PRE(GrfP),CREATE,THREAD
KeyData                  KEY(GrfP:DataFrom),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
DataFrom                    LONG
DataTo                      LONG
VID                         BYTE
OsnW                        STRING(40)
OsnD                        LONG
OsnN                        STRING(10)
                         END
                     END                       

#FILE(CLASIF)
CLASIF               FILE,DRIVER('TOPSPEED'),PRE(CL),THREAD
KEYKOD                   KEY(CL:KKOD,CL:KOD),DUP,NOCASE,OPT
KEYNAME                  KEY(CL:KKOD,CL:NAME),DUP,NOCASE,OPT
REM                         MEMO(1000)
Record                   RECORD,PRE()
KKOD                        BYTE
KOD                         STRING(20)
NAME                        STRING(100)
DOP                         STRING(40)
GRUPA                       SHORT
DATAB                       LONG
DATAE                       LONG
                         END
                     END                       

#FILE(NAST)
NAST                 FILE,DRIVER('TOPSPEED'),PRE(N),CREATE,BINDABLE,THREAD
KEYID                    KEY(N:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NPRED                       STRING(100)
NPREDPF                     STRING(50)
NPREDFULL                   STRING(240)
INN                         STRING(12)
KPPU                        STRING(9)
PLAT                        LONG
OKPO                        STRING(10)
OKPOob                      STRING(14)
OKVED                       STRING(8)
OKVED2                      STRING(8)
OKVEDNAME                   STRING(100)
OKDP                        STRING(10)
OGRN                        STRING(15)
OKTMO                       STRING(11)
OKATO                       STRING(11)
OKFS                        STRING(2)
OKFSNAME                    STRING(30)
OKOPF                       STRING(5)
OKOPFNAME                   STRING(30)
OKOGU                       STRING(7)
SVIDPOSTN                   STRING(20)
SVIDPOSTD                   LONG
SVIDEGRN                    STRING(20)
SVIDEGRD                    LONG
ADRESU                      STRING(110)
ADRES                       STRING(110)
RASPOL                      STRING(30)
EMAIL                       STRING(40)
PHONE                       STRING(20)
PHONEKADR                   STRING(20)
DOLGNOST                    LONG,DIM(3)
FAMALY1                     STRING(20)
FAMALY2                     STRING(20)
FAMALY3                     STRING(20)
KODLIST                     LONG,DIM(3)
OsnRuk                      STRING(100)
KODUPOLN                    LONG
DOVUPOLN                    STRING(50)
PREDUPOLN                   STRING(180)
NPOLIS                      DECIMAL(13)
NPOLISIP                    DECIMAL(13)
KATEGFL                     STRING(4)
FSS                         STRING(4)
RNFSS                       STRING(10)
RNFSSO                      STRING(10)
RNFSSP                      STRING(5)
RNTFOMS                     STRING(15)
KODNALOG                    LONG
NameNalog                   STRING(60)
KODNALOGSD                  LONG
KATEGPL                     BYTE
ReorgForm                   BYTE
ReorgINN                    STRING(12)
ReorgKPP                    STRING(9)
ReorgNPolis                 DECIMAL(13)
ReorgNPred                  STRING(100)
ReorgOKPO                   STRING(10)
ReorgOKVED2                 STRING(8)
ReorgOKFS                   STRING(2)
ReorgOKOGU                  STRING(7)
ReorgOGRN                   STRING(15)
ReorgEMAIL                  STRING(40)
ReorgPhone                  STRING(20)
BudgetGr                    GROUP
Razd                          STRING(25)
CelSt                         STRING(25)
VidRas                        STRING(25)
IstFin                        STRING(25)
FKR                           STRING(10)
KVR                           STRING(10)
KCSR                          STRING(10)
PPP                           STRING(10)
Ministr                       STRING(25)
                            END
ID                          LONG
                         END
                     END                       

#FILE(SPRA)
SPRA                 FILE,DRIVER('TOPSPEED'),PRE(S),CREATE,THREAD
KEYNAME                  KEY(S:KKOD,S:NAME,S:ARCHIVE,S:ID),NOCASE,OPT
KEYID                    KEY(S:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KKOD                        SHORT
NAME                        STRING(100)
ARCHIVE                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(BILLPR)
BILLPR               FILE,DRIVER('TOPSPEED'),PRE(BPR),CREATE,THREAD
KEYPR                    KEY(BPR:TABN,BPR:MM,BPR:VIDR,BPR:VIDN,BPR:NPP),NOCASE,OPT
KeyPodr                  KEY(BPR:TABN,BPR:PODR,BPR:MM,BPR:VIDR,BPR:VIDN,BPR:NPP),NOCASE,OPT
Record                   RECORD,PRE()
TABN                        LONG
MM                          BYTE
VIDR                        BYTE
VIDN                        BYTE
NPP                         SHORT
SHIFRZ                      LONG
PODR                        LONG
OSNVID                      BYTE
OSNRAS                      LONG
GRPR                        GROUP
KN                            LONG
DAY                           BYTE
MM_PR                         BYTE
YY_PR                         SHORT
KD                            DECIMAL(9,2)
SUM                           DECIMAL(15,2)
                            END
                         END
                     END                       

#FILE(BILLYEAR)
BILLYEAR             FILE,DRIVER('TOPSPEED'),PRE(BYR),CREATE,THREAD
KEYYEAR                  KEY(BYR:YEAR,BYR:TABN),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
YEAR                        SHORT
OSTATOK                     DECIMAL(15,2)
PERGNI                      DECIMAL(15,2)
PERMON                      BYTE
KARTA                       GROUP
VALSM                         DECIMAL(15,2)
VALSKM                        DECIMAL(15,2)
VALSP                         DECIMAL(15,2)
VALSKP                        DECIMAL(15,2)
VALALL                        DECIMAL(15,2)
VALOBL                        DECIMAL(15,2)
SUMRK                         DECIMAL(15,2)
OBLRK                         DECIMAL(15,2)
SUMUD                         DECIMAL(13)
                            END
                         END
                     END                       

#FILE(CANDIDAT)
CANDIDAT             FILE,DRIVER('TOPSPEED'),PRE(CND),CREATE,THREAD
KEYNAME                  KEY(CND:NAME,CND:ID),NOCASE,OPT
KEYDOLG                  KEY(CND:DOLG,CND:NAME,CND:ID),NOCASE,OPT
KEYID                    KEY(CND:ID),NOCASE,OPT,PRIMARY
Coment                      MEMO(1000)
Record                   RECORD,PRE()
NAME                        STRING(20)
IDFizList                   LONG
Podr                        LONG
DOLG                        LONG
Kateg                       LONG
Agent                       LONG
Mesto                       LONG
Result                      LONG
DATATALK                    LONG
ID                          LONG
                         END
                     END                       

#FILE(INDSVZAR)
INDSVZAR             FILE,DRIVER('TOPSPEED'),PRE(ISZR),CREATE,THREAD
KeyTabn                  KEY(ISZR:Tabn,ISZR:ID),NOCASE,OPT
KeySP                    KEY(ISZR:NomP,ISZR:NomD,ISZR:Name,ISZR:ID),NOCASE,OPT
KeySN                    KEY(ISZR:Name,ISZR:ID),NOCASE,OPT
KeyID                    KEY(ISZR:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NomP                        LONG
NomD                        SHORT
Tabn                        LONG
Name                        STRING(20)
TypeKorr                    BYTE
Kateg                       STRING(4)
TypeDog                     BYTE
DATAZ                       LONG
DATAAKT                     LONG
SumDox                      DECIMAL(15,2)
SumBaza                     DECIMAL(15,2)
ID                          LONG
                         END
                     END                       

#FILE(INDSVOST)
INDSVOST             FILE,DRIVER('TOPSPEED'),PRE(INOST),CREATE,THREAD
KeyTabn                  KEY(INOST:IDMain,INOST:TABN),DUP,NOCASE,OPT
Record                   RECORD,PRE()
IDMain                      LONG
TABN                        LONG
NALSTR                      DECIMAL(15,2)
NALNAK                      DECIMAL(15,2)
                         END
                     END                       

#FILE(INDSVS)
INDSVS               FILE,DRIVER('TOPSPEED'),PRE(ISS),CREATE,THREAD
KEYSVED                  KEY(ISS:SVED,ISS:DATAB),DUP,NOCASE,OPT
Record                   RECORD,PRE()
SVED                        LONG
DATAB                       LONG
DATAE                       LONG
KRSEV                       BYTE
TUK                         DECIMAL(3,2)
TUKoef                      DECIMAL(3,2)
UT                          STRING(6)
IT_O                        STRING(7)
IT_D                        STRING(9)
VL_O                        STRING(8)
VL_D1                       SHORT
VL_D2                       SHORT
VL_D3                       DECIMAL(3,2)
KPS                         STRING(20)
SoutNomRM                   STRING(20)
SoutKod                     BYTE
Tabn                        LONG
                         END
                     END                       

#FILE(INDSVZ)
INDSVZ               FILE,DRIVER('TOPSPEED'),PRE(ISZ),CREATE,THREAD
KEYSVED                  KEY(ISZ:SVED,ISZ:KATEG,ISZ:MONTH),DUP,NOCASE,OPT
Record                   RECORD,PRE()
SVED                        LONG
KATEG                       STRING(4)
MONTH                       BYTE
NACHALL                     DECIMAL(15,2)
BOLNALL                     DECIMAL(15,2)
Sum1                        DECIMAL(15,2)
Sum2                        DECIMAL(15,2)
Sum3                        DECIMAL(15,2)
                         END
                     END                       

#FILE(PEREM)
PEREM                FILE,DRIVER('TOPSPEED'),PRE(PER),CREATE,BINDABLE,THREAD
KEYTABN                  KEY(PER:TABN,PER:DATA,PER:ID),NOCASE,OPT
KEYDATA                  KEY(PER:DATA,PER:VIDPER,PER:ID),DUP,NOCASE,OPT
KEYPRIK                  KEY(PER:DATAD,PER:NOMERD,PER:ID),NOCASE,OPT
KEYSHTAT                 KEY(PER:PODR,PER:DOLG,PER:DATAE,PER:ID),NOCASE,OPT
KEYID                    KEY(PER:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
PODR                        LONG
DOLG                        LONG
STAVKA                      DECIMAL(5,2)
OKLAD                       DECIMAL(15,2)
HARWORK                     LONG
SYSOPL                      BYTE
GRAFIK                      LONG
DATA                        LONG
DATAE                       LONG
VIDPER                      BYTE
DATAD                       LONG
NOMERD                      STRING(10)
PRICH                       LONG
TIPDOKOSN                   LONG
DATAOSN                     LONG
NOMERDOKOSN                 STRING(10)
DAYDOPOTP                   BYTE
DayDopOtp1                  BYTE
KRSEV                       BYTE
UT                          STRING(6)
KPS                         STRING(14)
IT_O                        STRING(7)
VL_O                        STRING(8)
USEPOV                      BYTE
STAG                        BYTE,DIM(4)
AtestWP                     BYTE
AtestData                   LONG
AtestNomer                  STRING(20)
NoLgotStag                  BYTE
ID                          LONG
                         END
                     END                       

#FILE(USER)
USER                 FILE,DRIVER('TOPSPEED'),OWNER(''user.tps''),ENCRYPT,PRE(USR),CREATE
KeyID                    KEY(USR:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(20)
DOLGNOST                    LONG
FAMALY                      STRING(20)
KODLIST                     LONG
CURRASCH                    SHORT
PASW                        STRING(10)
SORTIR                      BYTE,DIM(5)
FLAG                        BYTE,DIM(5)
DOSTUP                      BYTE,DIM(15)
ARCHIVE                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(SHAPKA)
SHAPKA               FILE,DRIVER('TOPSPEED'),PRE(SH),CREATE,BINDABLE,THREAD
KEYKOD                   KEY(SH:KKOD,SH:KOD),NOCASE,OPT
Record                   RECORD,PRE()
KKOD                        LONG
KOD                         SHORT
FlagSotr                    BYTE
DOSTUP                      BYTE
LEVEL                       SHORT
LENGTH                      BYTE
TYPEVAR                     BYTE
ANALIZ                      BYTE
AnalizDop                   BYTE
NAME                        STRING(30)
FULLNAME                    STRING(50)
ITOGCH                      BYTE
CONDCH                      BYTE
PRINTCH                     BYTE
NAMEVAR                     STRING(100)
FORMATVAR                   STRING(20)
PRINTVAR                    STRING(255)
CHOICEVAR                   STRING(255)
                         END
                     END                       

#FILE(MailBox)
MailBox              FILE,DRIVER('TOPSPEED'),PRE(MB),CREATE,BINDABLE
KeyMail                  KEY(MB:UserBox,MB:DataM,MB:TimeM),DUP,NOCASE,OPT
Record                   RECORD,PRE()
UserBox                     LONG
DataM                       LONG
TimeM                       LONG
UserM                       STRING(40)
Action                      BYTE
TimeOut                     LONG
ICON                        BYTE
Message                     STRING(160)
                         END
                     END                       

#FILE(KODTABEL)
KODTABEL             FILE,DRIVER('TOPSPEED'),PRE(KTB),CREATE,THREAD
KEYKODTABEL              KEY(KTB:KODTABEL),DUP,NOCASE
KEYID                    KEY(KTB:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(30)
COLOR                       LONG
KODTABEL                    STRING(3)
ISWORK                      BYTE
FillKvit                    BYTE
FlagOverHour                BYTE
ID                          LONG
                         END
                     END                       

#FILE(OBRAZ)
OBRAZ                FILE,DRIVER('TOPSPEED'),PRE(OBR),CREATE,THREAD
KEYTABN                  KEY(OBR:TABN,OBR:YEAREND,OBR:ID),NOCASE,OPT
KEYSPEC                  KEY(OBR:SPEC,OBR:YEAREND,OBR:ID),NOCASE,OPT
KEYID                    KEY(OBR:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
TIPOBRAZ                    LONG
COUNTRY                     LONG
NAMEUZ                      STRING(80)
YEAREND                     LONG
FAKULTET                    STRING(30)
FORMAOB                     BYTE
SPEC                        LONG
KVAL                        LONG
TIPDOK                      LONG
NOMERDOK                    STRING(20)
DATADOK                     LONG
StatType                    BYTE
StatDist                    BYTE
ID                          LONG
                         END
                     END                       

#FILE(METKAVAR)
METKAVAR             FILE,DRIVER('TOPSPEED'),PRE(MTV),CREATE,THREAD
KEYVAR                   KEY(MTV:METKA,MTV:NPP),DUP,NOCASE,OPT
Record                   RECORD,PRE()
METKA                       LONG
NPP                         LONG
NAME                        STRING(10)
OPIS                        STRING(30)
TYPE                        BYTE
VIDSPRA                     LONG
INIT                        STRING(150)
                         END
                     END                       

#FILE(LANG)
LANG                 FILE,DRIVER('TOPSPEED'),PRE(LNG),CREATE,THREAD
KEYTABN                  KEY(LNG:TABN,LNG:LANG,LNG:ID),NOCASE,OPT
KEYLANG                  KEY(LNG:LANG,LNG:STEPEN,LNG:ID),NOCASE,OPT
KEYID                    KEY(LNG:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
LANG                        LONG
STEPEN                      LONG
ID                          LONG
                         END
                     END                       

#FILE(KPS)
KPS                  FILE,DRIVER('TOPSPEED'),PRE(KPS),CREATE,THREAD
KEYKOD                   KEY(KPS:KOD),DUP,NOCASE,OPT
Record                   RECORD,PRE()
KOD                         STRING(20)
NAME                        STRING(255)
                         END
                     END                       

#FILE(POVKV)
POVKV                FILE,DRIVER('TOPSPEED'),PRE(PKV),CREATE,THREAD
KEYTABN                  KEY(PKV:TABN,PKV:DATAB,PKV:ID),NOCASE,OPT
KEYKURS                  KEY(PKV:KURS,PKV:DATAB,PKV:ID),NOCASE,OPT
KeyID                    KEY(PKV:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
DATAB                       LONG
DATAE                       LONG
KURS                        LONG
MESTO                       LONG
VIDDOK                      LONG
NOMERDOK                    STRING(20)
DATADOK                     LONG
OSNOV                       STRING(20)
REMARK                      STRING(60)
StatType                    BYTE
StatNorus                   BYTE
StatOrg                     BYTE
StatDist                    BYTE
ID                          LONG
                         END
                     END                       

#FILE(LgotStud)
LgotStud             FILE,DRIVER('TOPSPEED'),PRE(LGST),CREATE,THREAD
KEYNAME                  KEY(LGST:Name,LGST:ARCHIVE,LGST:ID),NOCASE,OPT
KEYID                    KEY(LGST:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Name                        STRING(50)
NOMERD                      STRING(10)
DATAD                       LONG
ARCHIVE                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(RODS)
RODS                 FILE,DRIVER('TOPSPEED'),PRE(RDS),CREATE,THREAD
KEYTABN                  KEY(RDS:TABN,RDS:STEPEN,RDS:ID),NOCASE,OPT
KEYNAME                  KEY(RDS:NAME,RDS:ID),NOCASE,OPT
KEYID                    KEY(RDS:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
NAME                        STRING(20)
FNAME                       STRING(20)
LNAME                       STRING(20)
STEPEN                      BYTE
DATAR                       LONG
DATAS                       LONG
IZDIV                       BYTE
INVAL                       BYTE
DATABIZD                    LONG
DATAEIZD                    LONG
MESTOR                      STRING(30)
PHONE                       STRING(20)
ADRES                       STRING(110)
Pol                         STRING(20)
StrNomer                    DECIMAL(13)
ID                          LONG
                         END
                     END                       

#FILE(FIZLIST)
FIZLIST              FILE,DRIVER('TOPSPEED'),PRE(FL),CREATE,THREAD
KEYNAME                  KEY(FL:NAME,FL:ID),NOCASE,OPT
KEYID                    KEY(FL:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
ID                          LONG
NAME                        STRING(30)
FNAME                       STRING(30)
LNAME                       STRING(30)
DATAR                       LONG
POL                         BYTE
ARCHIVE                     BYTE
StrNomer                    DECIMAL(13)
MEDPOLIS                    STRING(20)
INN                         DECIMAL(13)
INNIn                       STRING(20)
VIDDOC                      BYTE
PASPORT                     STRING(20)
PASPORTDV                   LONG
PASPORTKV                   LONG
PasportKP                   DECIMAL(7)
PasportEnd                  LONG
COUNTRY                     LONG
ADRESP                      STRING(110)
ADRESJ                      STRING(110)
DATAREGMJ                   LONG
PHONE                       STRING(20)
Mobile                      DECIMAL(10)
INOSTR                      BYTE
MESTORG                     LONG
MESTORR                     LONG
MESTORO                     LONG
MESTORS                     LONG
BankViplFSS                 LONG
STAJDO                      LONG
STAJBO                      LONG
STAJBOS                     LONG
STAJDN                      LONG
STAJBN                      LONG
STAJDV                      LONG
STAJBV                      LONG
STAJDSP                     LONG
STAJBSP                     LONG
PENSION                     LONG
FAMALYSTATUS                BYTE
VUIS                        BYTE
VUKATEGZAP                  LONG
VUZVANIE                    LONG
VUSOSTAV                    LONG
VUVUS                       STRING(7)
VUKATEGGOD                  STRING(1)
VUVOENKOMAT                 LONG
VUSOSTALL                   STRING(10)
VUSOSTSPEC                  STRING(10)
VUVidDoc                    BYTE
VUDOKUM                     STRING(15)
VUDokumDV                   LONG
VUDokumKV                   LONG
VUVUNomer                   STRING(15)
VUVUData                    LONG
VUVUKateg                   STRING(20)
STAGBOLN                    BYTE
ETK                         BYTE
                         END
                     END                       

#FILE(PREDMR)
PREDMR               FILE,DRIVER('TOPSPEED'),PRE(PMR),CREATE,THREAD
KEYTABN                  KEY(PMR:TABN,PMR:DATAB,PMR:ID),NOCASE,OPT
KEYNAMEORG               KEY(PMR:NAMEORG,PMR:DATAE,PMR:ID),NOCASE,OPT
KEYID                    KEY(PMR:ID),DUP,NOCASE,OPT
Record                   RECORD,PRE()
TABN                        LONG
DATAB                       LONG
DATAE                       LONG
NAMEORG                     STRING(150)
StrNomer                    DECIMAL(13)
SPEC                        STRING(100)
PRUVOL                      STRING(100)
STAG                        BYTE,DIM(4)
VIDWORK                     STRING(10)
Podr                        STRING(100)
Sovm                        BYTE
RKS                         STRING(4)
SvedInfo                    STRING(100)
OKZ                         STRING(4)
VidPr                       STRING(100)
KodVF                       STRING(20)
OSNDOC                      STRING(50),DIM(2)
OSNDATA                     LONG,DIM(2)
OSNNomer                    STRING(20),DIM(2)
ID                          LONG
                         END
                     END                       

#FILE(KOMAND)
KOMAND               FILE,DRIVER('TOPSPEED'),PRE(KOM),CREATE,THREAD
KEYTABN                  KEY(KOM:TABN,KOM:DATAB,KOM:ID),NOCASE,OPT
KEYDATA                  KEY(KOM:DATAB,KOM:ID),NOCASE,OPT
KEYPRIK                  KEY(KOM:DATAD,KOM:NOMERD,KOM:ID),NOCASE,OPT
KeyID                    KEY(KOM:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
DATAB                       LONG
DATAE                       LONG
SROK                        BYTE
NOMERUDOST                  STRING(10)
DATAUDOST                   LONG
PUNKT                       LONG
ORGANIZ                     LONG
CEL                         LONG
ISTSR                       LONG
REMARK                      STRING(60)
DATAD                       LONG
NOMERD                      STRING(10)
DATAOSN                     LONG
NOMERDOKOSN                 STRING(10)
KRSEV                       BYTE
FLINBUX                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(PRIKAZSOGL)
PRIKAZSOGL           FILE,DRIVER('TOPSPEED'),PRE(PRKSG),CREATE,THREAD
KEYPRIKAZ                KEY(PRKSG:PRIKAZ,PRKSG:NPP),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
PRIKAZ                      LONG
NPP                         LONG
TABN                        LONG
VIDSOGL                     STRING(20)
                         END
                     END                       

#FILE(History)
History              FILE,DRIVER('TOPSPEED'),PRE(HIS),CREATE,THREAD
KeyData                  KEY(HIS:KKod,HIS:IDRecord,HIS:Kod,HIS:DataCh),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KKod                        LONG
IDRecord                    LONG
Kod                         LONG
DataCh                      LONG
Znach                       STRING(255)
                         END
                     END                       

#FILE(ListNProv)
ListNProv            FILE,DRIVER('TOPSPEED'),PRE(LNP),CREATE,THREAD
KeyListN                 KEY(LNP:IDListN,LNP:yy_pr,LNP:mm_pr,LNP:VidR,LNP:KN),DUP,NOCASE,OPT
KeyTabn                  KEY(LNP:Tabn,LNP:Year,LNP:MM,LNP:VidR,LNP:VidN,LNP:yy_pr,LNP:mm_pr,LNP:KN),DUP,NOCASE,OPT
Record                   RECORD,PRE()
IDListN                     LONG
Tabn                        LONG
VidR                        BYTE
MM                          BYTE
Year                        SHORT
VidN                        BYTE
mm_pr                       BYTE
yy_pr                       SHORT
KN                          LONG
kd                          DECIMAL(9,2)
Sum                         DECIMAL(15,2)
                         END
                     END                       

#FILE(SpraZar)
SpraZar              FILE,DRIVER('TOPSPEED'),PRE(SpZ),CREATE,THREAD
KeyID                    KEY(SpZ:ID),NOCASE,OPT,PRIMARY
KeyFizList               KEY(SpZ:IDFizList,SpZ:DataSpr,SpZ:ID),NOCASE,OPT
Record                   RECORD,PRE()
IDFizList                   LONG
DataSpr                     LONG
NomerSpr                    STRING(20)
Org                         LONG
DataB                       LONG
DataE                       LONG
AllSum                      DECIMAL(15,2)
AllDay                      LONG
ID                          LONG
                         END
                     END                       

#FILE(VZISK)
VZISK                FILE,DRIVER('TOPSPEED'),PRE(VZI),CREATE,THREAD
KEYTABN                  KEY(VZI:TABN,VZI:DATA,VZI:ID),NOCASE,OPT
KEYDATA                  KEY(VZI:DATA,VZI:VIDVZISK,VZI:ID),NOCASE,OPT
KEYPRIK                  KEY(VZI:DATAD,VZI:NOMERD,VZI:ID),NOCASE,OPT
KeyPrikSn                KEY(VZI:DataDSn,VZI:NomerDSn),DUP,NOCASE,OPT
KeyID                    KEY(VZI:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
DATA                        LONG
MOTIV                       LONG
VIDVZISK                    LONG
DATAD                       LONG
NOMERD                      STRING(10)
SUM                         DECIMAL(15,2)
OSNOV                       LONG
DATASN                      LONG
REMARK                      STRING(60)
DataDSn                     LONG
NomerDSn                    STRING(10)
OsnovSn                     STRING(50)
FLINBUX                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(SpraZarS)
SpraZarS             FILE,DRIVER('TOPSPEED'),PRE(SpZS),CREATE,THREAD
KeySpra                  KEY(SpZS:IDSpra,SpZS:Year),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDSpra                      LONG
Year                        SHORT
Sum                         DECIMAL(15,2)
SumOne                      DECIMAL(15,2)
Day                         LONG
                         END
                     END                       

#FILE(SpraZarO)
SpraZarO             FILE,DRIVER('TOPSPEED'),PRE(SpZO),CREATE,THREAD
KeyName                  KEY(SpZO:NameOrg,SpZO:ID),NOCASE,OPT
KeyID                    KEY(SpZO:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NameOrg                     STRING(150)
Strax                       LONG
RNFSS                       STRING(10)
RNFSSO                      STRING(10)
RNFSSP                      STRING(5)
INN                         STRING(12)
KPPU                        STRING(9)
PHONE                       STRING(20)
ID                          LONG
                         END
                     END                       

#FILE(LISTDS)
LISTDS               FILE,DRIVER('TOPSPEED'),PRE(LDS),CREATE,THREAD
KEYTABN                  KEY(LDS:TABN,LDS:IDDS),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
IDDS                        LONG
ZNACH                       STRING(100)
                         END
                     END                       

#FILE(ATEST)
ATEST                FILE,DRIVER('TOPSPEED'),PRE(ATS),CREATE,THREAD
KEYTABN                  KEY(ATS:TABN,ATS:DATA,ATS:ID),NOCASE,OPT
KeyData                  KEY(ATS:DATA,ATS:ID),NOCASE,OPT
KEYATEST                 KEY(ATS:IDAtest,ATS:TABN,ATS:ID),NOCASE,OPT
KeyID                    KEY(ATS:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDAtest                     LONG
IDProfil                    LONG
TABN                        LONG
DATA                        LONG
DATAN                       LONG
Ball                        DECIMAL(9,2)
RESULT                      LONG
Rekomend                    LONG
REMARK                      STRING(60)
ID                          LONG
                         END
                     END                       

#FILE(MEDOSM)
MEDOSM               FILE,DRIVER('TOPSPEED'),PRE(MOS),CREATE,THREAD
KEYDATA                  KEY(MOS:DataB,MOS:ID),NOCASE,OPT
KeyID                    KEY(MOS:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
DataB                       LONG
DataE                       LONG
VidMedOsm                   BYTE
LPU                         LONG
Remark                      STRING(30)
CountAll                    LONG
CountOK                     LONG
CountNO                     LONG
CountProg                   LONG
ID                          LONG
                         END
                     END                       

#FILE(PRIKAZOSN)
PRIKAZOSN            FILE,DRIVER('TOPSPEED'),PRE(PRKOS),CREATE,THREAD
KEYOSN                   KEY(PRKOS:PRSOD,PRKOS:OSN),DUP,NOCASE,OPT
Record                   RECORD,PRE()
PRSOD                       LONG
OSN                         LONG
DataD                       LONG
NomerD                      STRING(10)
Tabn                        LONG
                         END
                     END                       

#FILE(LISTREPORTC)
LISTREPORTC          FILE,DRIVER('TOPSPEED'),PRE(LRPC),CREATE,THREAD
KEYNUMBER                KEY(LRPC:IDREP,LRPC:VID,LRPC:NUMBER),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDREP                       LONG
VID                         BYTE
NUMBER                      LONG
KKOD                        LONG
KOD                         LONG
                         END
                     END                       

#FILE(LISTREPORTF)
LISTREPORTF          FILE,DRIVER('TOPSPEED'),PRE(LRPF),CREATE,THREAD
KEYKOD                   KEY(LRPF:IDREP,LRPF:KKOD,LRPF:KOD),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDREP                       LONG
KKOD                        LONG
KOD                         LONG
TYPE                        BYTE
VALUE1                      STRING(100)
VALUE2                      STRING(30)
                         END
                     END                       

#FILE(TIPPRIK)
TIPPRIK              FILE,DRIVER('TOPSPEED'),PRE(TPR),CREATE,THREAD
KEYID                    KEY(TPR:ID),NOCASE,OPT,PRIMARY
TEXT                        MEMO(1500)
Record                   RECORD,PRE()
NAMEGR                      STRING(30)
NAME                        STRING(50)
ID                          LONG
                         END
                     END                       

#FILE(POOSHR)
POOSHR               FILE,DRIVER('TOPSPEED'),PRE(POO),CREATE,THREAD
KEYTABN                  KEY(POO:TABN,POO:DATA,POO:ID),NOCASE,OPT
KEYDATA                  KEY(POO:DATA,POO:VIDPOOSHR,POO:ID),NOCASE,OPT
KEYPRIK                  KEY(POO:DATAD,POO:NOMERD,POO:ID),NOCASE,OPT
KeyID                    KEY(POO:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
DATA                        LONG
MOTIV                       LONG
VIDPOOSHR                   LONG
DATAD                       LONG
NOMERD                      STRING(10)
SUM                         DECIMAL(15,2)
OSNOV                       LONG
REMARK                      STRING(60)
FLINBUX                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(DOGOV)
DOGOV                FILE,DRIVER('TOPSPEED'),PRE(DOG),CREATE,THREAD
KEYTABN                  KEY(DOG:TABN,DOG:DATADOG,DOG:ID),NOCASE,OPT
KEYDATA                  KEY(DOG:TYPEDOG,DOG:DATADOG,DOG:NOMERDOG,DOG:ID),NOCASE,OPT
KEYID                    KEY(DOG:ID),NOCASE,OPT,PRIMARY
TextDog                     BLOB,BINARY
Record                   RECORD,PRE()
TABN                        LONG
DATADOG                     LONG
NOMERDOG                    STRING(10)
TYPEDOG                     BYTE
VIDDOG                      BYTE
DATAB                       LONG
DATAE                       LONG
DATAISPSROK                 LONG
PODR                        LONG
DOLG                        LONG
OKLAD                       DECIMAL(15,2)
SUM                         DECIMAL(15,2)
REMARK                      STRING(60)
TYPESAVE                    BYTE
DATESAVE                    LONG
TIMESAVE                    LONG
ID                          LONG
VidWork                     LONG
VidOpl                      BYTE
Nach                        LONG
VIDR                        BYTE
                         END
                     END                       

#FILE(SNACH)
SNACH                FILE,DRIVER('TOPSPEED'),PRE(SN),CREATE,THREAD
KEYNAME                  KEY(SN:KKOD,SN:NAME,SN:ARCHIVE,SN:ID),NOCASE,OPT
KEYID                    KEY(SN:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KKOD                        BYTE
KODN                        STRING(10)
NAME                        STRING(30)
NameDoc                     STRING(100)
MASKA                       LONG,DIM(25)
KOEF                        STRING(20)
LEVEL                       BYTE
PROV                        LONG
STRASXOD                    BYTE
ARCHIVE                     BYTE
RASP                        LONG
Okrugl                      BYTE
NOFAKTOTR                   BYTE
KodTabel                    LONG
PRIORITET                   BYTE
StatRS                      BYTE
PFIT                        STRING(9)
PFLgot                      BYTE
PFTU                        BYTE
ID                          LONG
                         END
                     END                       

#FILE(NALSPRST)
NALSPRST             FILE,DRIVER('TOPSPEED'),PRE(NSSt),CREATE,THREAD
KeySprav                 KEY(NSSt:SPRAV,NSSt:Stavka),NOCASE,OPT
Record                   RECORD,PRE()
SPRAV                       LONG
Stavka                      BYTE
Doxod                       DECIMAL(15,2)
DoxodObl                    DECIMAL(15,2)
NalogN                      DECIMAL(15,2)
NalogNAv                    DECIMAL(15,2)
NalogZ                      DECIMAL(15,2)
NalogU                      DECIMAL(15,2)
NalogP                      DECIMAL(15,2)
NalogDolgI                  DECIMAL(15,2)
NalogDolgU                  DECIMAL(15,2)
DoxodNUd                    DECIMAL(15,2)
                         END
                     END                       

#FILE(MEDOSML)
MEDOSML              FILE,DRIVER('TOPSPEED'),PRE(MDL),CREATE,THREAD
KEYNAME                  KEY(MDL:NAME,MDL:ID),NOCASE,OPT
KEYID                    KEY(MDL:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(90)
REGNUM                      STRING(10)
INN                         STRING(12)
KPP                         STRING(9)
OGRN                        STRING(15)
Adres                       STRING(110)
email                       STRING(40)
phone                       STRING(20)
ID                          LONG
                         END
                     END                       

#FILE(MEDOSMF)
MEDOSMF              FILE,DRIVER('TOPSPEED'),PRE(MDF),CREATE,THREAD
KEYFACTOR                KEY(MDF:IDMED,MDF:NPP),DUP,NOCASE,OPT
Record                   RECORD,PRE()
IDMED                       LONG
NPP                         LONG
FACTOR                      LONG
                         END
                     END                       

#FILE(SpraMail)
SpraMail             FILE,DRIVER('TOPSPEED'),PRE(SML),CREATE,THREAD
KeyMessage               KEY(SML:Name),NOCASE,OPT
KeyAutoPusk              KEY(SML:AutoPusk,SML:TimeZ),DUP,NOCASE,OPT
Record                   RECORD,PRE()
Name                        STRING(30)
Message                     STRING(160)
TimeOut                     LONG
Action                      BYTE
ICON                        BYTE
AutoPusk                    BYTE
DataB                       LONG
DataE                       LONG
TimeZ                       LONG
                         END
                     END                       

#FILE(UserBox)
UserBox              FILE,DRIVER('TOPSPEED'),PRE(UB),CREATE,BINDABLE
Record                   RECORD,PRE()
Stantion                    STRING(60)
Baza                        STRING(40)
Prog                        BYTE
User                        STRING(40)
DataB                       LONG
TimeB                       LONG
                         END
                     END                       

#FILE(PerechHar)
PerechHar            FILE,DRIVER('TOPSPEED'),PRE(PrchHar),CREATE,THREAD
KeyID                    KEY(PrchHar:ID),NOCASE,OPT,PRIMARY
KeyDolg                  KEY(PrchHar:Dolg,PrchHar:Podr),NOCASE,OPT
Record                   RECORD,PRE()
Dolg                        LONG
Podr                        LONG
Har                         STRING(1000)
Doc                         STRING(1000)
ID                          LONG
                         END
                     END                       

#FILE(PRIKAZSOD)
PRIKAZSOD            FILE,DRIVER('TOPSPEED'),PRE(PRKSD),CREATE,THREAD
KEYPRIK                  KEY(PRKSD:PRIKAZ,PRKSD:NPP,PRKSD:ID),NOCASE,OPT
KEYTABN                  KEY(PRKSD:TABN,PRKSD:DATA,PRKSD:ID),NOCASE,OPT
KEYID                    KEY(PRKSD:ID),NOCASE,OPT,PRIMARY
TEXT                        MEMO(1024)
Record                   RECORD,PRE()
PRIKAZ                      LONG
DATA                        LONG
TABN                        LONG
TIPPRIK                     LONG
OPIS                        STRING(30)
VIDOBJECT                   BYTE
KODOBJECT                   LONG
NPP                         LONG
ID                          LONG
                         END
                     END                       

#FILE(KLADRSOC)
KLADRSOC             FILE,DRIVER('TOPSPEED'),PRE(KLDSC),CREATE,BINDABLE,THREAD
KEYSOCR                  KEY(KLDSC:LEVEL,KLDSC:NAMESC),DUP,NOCASE
Record                   RECORD,PRE()
LEVEL                       STRING(1)
NAMESC                      STRING(10)
NAME                        STRING(30)
CODE                        STRING(3)
                         END
                     END                       

#FILE(KLADRTOW)
KLADRTOW             FILE,DRIVER('TOPSPEED'),PRE(KLDTN),CREATE,BINDABLE,THREAD
KEYNAME                  KEY(KLDTN:NAME,KLDTN:KODREG,KLDTN:KODRAI,KLDTN:KODTOW),DUP,NOCASE,OPT
KEYREG                   KEY(KLDTN:KODREG,KLDTN:NAME,KLDTN:KODRAI,KLDTN:KODTOW),DUP,NOCASE,OPT
KEYRAI                   KEY(KLDTN:KODREG,KLDTN:KODRAI,KLDTN:NAME,KLDTN:KODTOW),DUP,NOCASE,OPT
KEYTOW                   KEY(KLDTN:KODREG,KLDTN:KODRAI,KLDTN:KODTOW),DUP,NOCASE,OPT
Record                   RECORD,PRE()
NAME                        STRING(45)
KODREG                      STRING(2)
KODRAI                      STRING(3)
KODTOW                      STRING(3)
STATUS                      STRING(1)
INDEX                       STRING(6)
GNINMB                      STRING(4)
                         END
                     END                       

#FILE(NastRateSKE)
NastRateSKE          FILE,DRIVER('TOPSPEED'),PRE(NRSKE),CREATE,THREAD
KeyID                    KEY(NRSKE:ID),NOCASE,OPT,PRIMARY
KeyOKVED                 KEY(NRSKE:OKVED,NRSKE:DataB,NRSKE:ID),NOCASE,OPT
Record                   RECORD,PRE()
OKVED                       STRING(8)
Podr                        LONG
VidR                        LONG
DataB                       LONG
DataE                       LONG
ClassR                      BYTE
Tarif                       DECIMAL(5,2)
MonthNadb                   BYTE
Nadb                        DECIMAL(5,2)
ID                          LONG
                         END
                     END                       

#FILE(KLADRRAI)
KLADRRAI             FILE,DRIVER('TOPSPEED'),PRE(KLDRN),CREATE,BINDABLE,THREAD
KEYNAME                  KEY(KLDRN:NAME,KLDRN:KODREG,KLDRN:KODRAI),DUP,NOCASE,OPT
KEYREG                   KEY(KLDRN:KODREG,KLDRN:NAME,KLDRN:KODRAI),DUP,NOCASE,OPT
KEYRAI                   KEY(KLDRN:KODREG,KLDRN:KODRAI),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(45)
KODREG                      STRING(2)
KODRAI                      STRING(3)
INDEX                       STRING(6)
GNINMB                      STRING(4)
                         END
                     END                       

#FILE(KLADRSTR)
KLADRSTR             FILE,DRIVER('TOPSPEED'),PRE(KLDST),CREATE,BINDABLE,THREAD
KEYNAME                  KEY(KLDST:NAME,KLDST:KODREG,KLDST:KODRAI,KLDST:KODTOW,KLDST:KODNAS,KLDST:KODULI),DUP,NOCASE,OPT
KEYREG                   KEY(KLDST:KODREG,KLDST:NAME,KLDST:KODRAI,KLDST:KODTOW,KLDST:KODNAS,KLDST:KODULI),DUP,NOCASE,OPT
KEYRAI                   KEY(KLDST:KODREG,KLDST:KODRAI,KLDST:NAME,KLDST:KODTOW,KLDST:KODNAS,KLDST:KODULI),DUP,NOCASE,OPT
KEYTOW                   KEY(KLDST:KODREG,KLDST:KODRAI,KLDST:KODTOW,KLDST:NAME,KLDST:KODNAS,KLDST:KODULI),DUP,NOCASE,OPT
KEYNAS                   KEY(KLDST:KODREG,KLDST:KODRAI,KLDST:KODTOW,KLDST:KODNAS,KLDST:NAME,KLDST:KODULI),DUP,NOCASE,OPT
KEYSTR                   KEY(KLDST:KODREG,KLDST:KODRAI,KLDST:KODTOW,KLDST:KODNAS,KLDST:KODULI),DUP,NOCASE,OPT
Record                   RECORD,PRE()
NAME                        STRING(45)
KODREG                      STRING(2)
KODRAI                      STRING(3)
KODTOW                      STRING(3)
KODNAS                      STRING(3)
KODULI                      STRING(4)
INDEX                       STRING(6)
GNINMB                      STRING(4)
                         END
                     END                       

#FILE(NASTDS)
NASTDS               FILE,DRIVER('TOPSPEED'),PRE(NDS),CREATE,THREAD
KEYID                    KEY(NDS:ID),NOCASE,OPT,PRIMARY
KEYNAME                  KEY(NDS:NAME),NOCASE,OPT
KEYNPP                   KEY(NDS:NPP,NDS:ID),NOCASE,OPT
Record                   RECORD,PRE()
NAME                        STRING(30)
NPP                         LONG
TYPEVAR                     BYTE
TYPESPRA                    BYTE
DOSTUP                      BYTE
DEFAULT                     STRING(100)
ARCHIVE                     BYTE
GroupNazn                   BYTE
NoFillT2                    BYTE
FillKvit                    BYTE
FillShtat                   BYTE
Subconto1C                  BYTE
ID                          LONG
                         END
                     END                       

#FILE(KLADRDOM)
KLADRDOM             FILE,DRIVER('TOPSPEED'),PRE(KLADDM),CREATE,BINDABLE,THREAD
KEYKOD                   KEY(KLADDM:KODSTRT),DUP,NOCASE,OPT
Record                   RECORD,PRE()
KODSTRT                     STRING(15)
DOMA                        STRING(40)
INDEX                       STRING(6)
GNINMB                      STRING(4)
                         END
                     END                       

#FILE(PlatNal)
PlatNal              FILE,DRIVER('TOPSPEED'),PRE(PNAl),CREATE,THREAD
KeyDataPl                KEY(PNAl:Year,PNAl:DataPl,PNAl:Nomer,PNAl:ID),NOCASE,OPT
KeyID                    KEY(PNAl:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
DataPl                      LONG
month                       BYTE
Year                        SHORT
DataD                       LONG
Nomer                       STRING(10)
IDPol                       LONG
KBK                         BYTE
OKATO                       STRING(11)
KPP                         STRING(9)
Sum                         DECIMAL(15,2)
Obosob                      LONG
ID                          LONG
                         END
                     END                       

#FILE(PlatVedS)
PlatVedS             FILE,DRIVER('TOPSPEED'),PRE(PlVS),CREATE,THREAD
KeyVed                   KEY(PlVS:IDVed),DUP,NOCASE,OPT
KeyID                    KEY(PlVS:ID),DUP,NOCASE
KeyTabn                  KEY(PlVS:TABN,PlVS:DataOpl,PlVS:VidR),DUP,NOCASE,OPT
Record                   RECORD,PRE()
IDVed                       LONG
ID                          LONG
DataOpl                     LONG
VidR                        BYTE
TABN                        LONG
Year                        SHORT
mm                          BYTE
SumPog                      DECIMAL(15,2)
DayComp                     SHORT
Sum                         DECIMAL(15,2)
SumNalog                    DECIMAL(15,2)
SumNalogP                   DECIMAL(15,2)
IDBank                      LONG
Account                     STRING(20)
Prov                        BYTE
KodDoxod                    BYTE
SumIsp                      DECIMAL(15,2)
                         END
                     END                       

#FILE(PlatNalFL)
PlatNalFL            FILE,DRIVER('TOPSPEED'),PRE(PNalF),CREATE,THREAD
KeyIDPlat                KEY(PNalF:IDPlat,PNalF:Tabn),NOCASE,OPT
KeyTabn                  KEY(PNalF:Tabn,PNalF:Year,PNalF:IDPlat),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDPlat                      LONG
Year                        SHORT
Tabn                        LONG
Sum                         DECIMAL(15,2)
                         END
                     END                       

#FILE(KLADRNAS)
KLADRNAS             FILE,DRIVER('TOPSPEED'),PRE(KLDRNS),CREATE,BINDABLE,THREAD
KEYNAME                  KEY(KLDRNS:NAME,KLDRNS:KODREG,KLDRNS:KODRAI,KLDRNS:KODTOW,KLDRNS:KODNAS),DUP,NOCASE,OPT
KEYREG                   KEY(KLDRNS:KODREG,KLDRNS:NAME,KLDRNS:KODRAI,KLDRNS:KODTOW,KLDRNS:KODNAS),DUP,NOCASE,OPT
KEYRAI                   KEY(KLDRNS:KODREG,KLDRNS:KODRAI,KLDRNS:NAME,KLDRNS:KODTOW,KLDRNS:KODNAS),DUP,NOCASE,OPT
KEYTOW                   KEY(KLDRNS:KODREG,KLDRNS:KODRAI,KLDRNS:KODTOW,KLDRNS:NAME,KLDRNS:KODNAS),DUP,NOCASE,OPT
KEYNAS                   KEY(KLDRNS:KODREG,KLDRNS:KODRAI,KLDRNS:KODTOW,KLDRNS:KODNAS),DUP,NOCASE,OPT
Record                   RECORD,PRE()
NAME                        STRING(45)
KODREG                      STRING(2)
KODRAI                      STRING(3)
KODTOW                      STRING(3)
KODNAS                      STRING(3)
STATUS                      STRING(1)
INDEX                       STRING(6)
GNINMB                      STRING(4)
                         END
                     END                       

#FILE(GROTPUSK)
GROTPUSK             FILE,DRIVER('TOPSPEED'),PRE(GRO),CREATE,THREAD
KEYGRAF                  KEY(GRO:TABN,GRO:DATAPLB,GRO:ID),NOCASE,OPT
KEYID                    KEY(GRO:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
DAY                         SHORT
DATAPLB                     LONG
DATAPLE                     LONG
DATAPERB                    LONG
DATAPERE                    LONG
TIPDOKOSN                   LONG
DATAOSN                     LONG
NOMERDOKOSN                 STRING(10)
REMARK                      STRING(50)
DataFB                      LONG
DataFE                      LONG
ID                          LONG
                         END
                     END                       

#FILE(NASTRATE)
NASTRATE             FILE,DRIVER('TOPSPEED'),PRE(NRT),CREATE,THREAD
KEYDATA                  KEY(NRT:DATAB,NRT:KODRATE,NRT:Region),NOCASE,OPT,PRIMARY
KEYRATE                  KEY(NRT:KODRATE,NRT:Region,NRT:DATAB),NOCASE,OPT
Record                   RECORD,PRE()
DATAB                       LONG
Region                      BYTE
KODRATE                     SHORT
SUM                         DECIMAL(15,2)
                         END
                     END                       

#FILE(PROEZD)
PROEZD               FILE,DRIVER('TOPSPEED'),PRE(PRZ),CREATE,THREAD
KEYTABN                  KEY(PRZ:TABN,PRZ:DATA,PRZ:ID),NOCASE,OPT
KEYDATA                  KEY(PRZ:DATA,PRZ:ID),NOCASE,OPT
KEYPRIK                  KEY(PRZ:DATAD,PRZ:NOMERD,PRZ:ID),NOCASE,OPT
KeyID                    KEY(PRZ:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
DATA                        LONG
DATAB                       LONG
DATAE                       LONG
DATAD                       LONG
NOMERD                      STRING(10)
CHILD                       BYTE
TURNFROM                    LONG
TURNTO                      LONG
REMARK                      STRING(60)
ID                          LONG
                         END
                     END                       

#FILE(REDIRECT)
REDIRECT             FILE,DRIVER('TOPSPEED'),PRE(RED),CREATE
KEYNAME                  KEY(RED:NAME,RED:ID),NOCASE,OPT
KEYID                    KEY(RED:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(40)
PATH                        STRING(200)
ID                          LONG
                         END
                     END                       

#FILE(OTPUSK)
OTPUSK               FILE,DRIVER('TOPSPEED'),PRE(OTP),CREATE,THREAD
KEYTABN                  KEY(OTP:TABN,OTP:DATAB,OTP:ID),NOCASE,OPT
KEYDATA                  KEY(OTP:DATAB,OTP:ID),NOCASE,OPT
KEYPRIK                  KEY(OTP:DATAD,OTP:NOMERD,OTP:ID),NOCASE,OPT
KeyPrikOt                KEY(OTP:DATADOt,OTP:NOMERDOt),DUP,NOCASE,OPT
KeyPrikPr                KEY(OTP:DataDPr,OTP:NomerDPr),DUP,NOCASE,OPT
KeyID                    KEY(OTP:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
TYPEOTPUSK                  LONG
SubType                     BYTE
DATAWORKB                   LONG
DATAWORKE                   LONG
DATAB                       LONG
DATAE                       LONG
DAY                         DECIMAL(7,2)
DAYDOP                      DECIMAL(7,2)
DAYOTPVR                    DECIMAL(7,2)
DayOtpDop2                  DECIMAL(7,2)
DAYOPL                      DECIMAL(7,2)
DATAD                       LONG
NOMERD                      STRING(12)
REMARK                      STRING(60)
FLINBUX                     BYTE
FlagBuxOt                   BYTE
DataOtz                     LONG
DATADOt                     LONG
NOMERDOt                    STRING(12)
DataDPr                     LONG
NomerDPr                    STRING(12)
PRICH                       LONG
PrichOts                    LONG
PrichEnd                    LONG
OnWork                      BYTE
RODS                        LONG
Admin                       BYTE
ID                          LONG
                         END
                     END                       

#FILE(LIST)
LIST                 FILE,DRIVER('TOPSPEED'),PRE(L),CREATE,THREAD
KEYPNAME                 KEY(L:PODR,L:NAME,L:TABN),NOCASE,OPT
KEYNAME                  KEY(L:NAME,L:TABN),NOCASE,OPT
KEYPTABNOMER             KEY(L:PODR,L:TABNOMER,L:TABN),NOCASE,OPT
KEYTABNOMER              KEY(L:TABNOMER,L:TABN),NOCASE,OPT
KEYTABN                  KEY(L:TABN),NOCASE,OPT,PRIMARY
KEYFIZLIST               KEY(L:FizList,L:TABN),NOCASE,OPT
Record                   RECORD,PRE()
TABNOMER                    LONG
FizList                     LONG
TABN                        LONG
NAME                        STRING(30)
ARCHIVE                     BYTE
ArchiveB                    SHORT
ArchiveE                    SHORT
PODR                        LONG
DOLG                        LONG
KATEG                       LONG
VIDPERS                     BYTE
VIDW                        LONG
VIDD                        BYTE
HARWORK                     LONG
SYSOPL                      BYTE
GRAFIK                      LONG
NACH                        LONG
RAZR                        BYTE
SEV                         BYTE
DATASEV                     LONG
SEVNEXT                     LONG
PROF                        BYTE
BANK                        LONG
DATAPR                      LONG
DAYOTPOSN                   BYTE
DAYOTPDOP                   BYTE
OKZ                         STRING(4)
DataWorkB                   LONG
                         END
                     END                       

#FILE(LEVEL)
LEVEL                FILE,DRIVER('TOPSPEED'),PRE(LEV),CREATE,THREAD
KEYLEVEL                 KEY(LEV:KODS,LEV:KODT),OPT
KEYID                    KEY(LEV:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KODS                        LONG
KODT                        LONG
KOEF                        DECIMAL(7,4)
ID                          LONG
                         END
                     END                       

#FILE(LISTU)
LISTU                FILE,DRIVER('TOPSPEED'),PRE(LU),CREATE,THREAD
KEYTABN                  KEY(LU:TABN,LU:KU,LU:ID),NOCASE,OPT
KeyID                    KEY(LU:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
KU                          LONG
VIDR                        BYTE
DB                          LONG
DE                          LONG
DUD                         LONG
SUMOST                      DECIMAL(15,2)
SUM_M                       DECIMAL(15,2)
PODR                        LONG
VIDPOL                      LONG
SBOR                        BYTE
KPOL                        LONG
REESTR                      LONG
ACCOUNT                     STRING(20)
COMMENT                     STRING(25)
UseAll                      BYTE
SaveMin                     BYTE
SaveMinSum                  DECIMAL(13,2)
ACCOUNTK                    STRING(20)
SUBCONTO                    STRING(20),DIM(5)
ID                          LONG
                         END
                     END                       

#FILE(ReservOtpS)
ReservOtpS           FILE,DRIVER('TOPSPEED'),PRE(ResOS),CREATE,THREAD
KeyRes                   KEY(ResOS:IDRes,ResOS:Tabn),DUP,NOCASE,OPT
Record                   RECORD,PRE()
IDRes                       LONG
Tabn                        LONG
DayOtp                      DECIMAL(9,2)
SumSR                       DECIMAL(15,2)
SumVz                       DECIMAL(15,2)
                         END
                     END                       

#FILE(PlatVed)
PlatVed              FILE,DRIVER('TOPSPEED'),PRE(PlV),CREATE,THREAD
KeyVed                   KEY(PlV:YearVed,PlV:NomerVed,PlV:ID),NOCASE,OPT
KeyID                    KEY(PlV:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
DateVed                     LONG
YearVed                     LONG
NomerVed                    LONG
DataOpl                     LONG
Osn                         STRING(100)
DataSrokB                   LONG
DataSrokE                   LONG
NomerPor                    STRING(10)
DataPor                     LONG
FormatReestr                STRING(50)
SelectSpra                  LONG,DIM(3)
SelectZnach                 LONG,DIM(3)
FlagNDFL                    BYTE
Uder                        LONG
SumPog                      DECIMAL(15,2)
SumComp                     DECIMAL(15,2)
Sum                         DECIMAL(15,2)
SumNalog                    DECIMAL(15,2)
Remark                      STRING(100)
Fill                        GROUP
Fill_Vid                      BYTE
Fill_mm                       BYTE
Fill_Year                     SHORT
Fill_VidR                     LONG
Fill_Okrugl                   DECIMAL(11,2)
Fill_Sum                      DECIMAL(15,2)
Fill_Nach                     LONG
FlagOtp                       BYTE
Fill_Uder                     BYTE
DayKomp                       SHORT
                            END
ID                          LONG
                         END
                     END                       

#FILE(SHTAT)
SHTAT                FILE,DRIVER('TOPSPEED'),PRE(SHT),CREATE,THREAD
KEYSHT                   KEY(SHT:PODR,SHT:NPP,SHT:ID),NOCASE,OPT
KEYDOLG                  KEY(SHT:PODR,SHT:DOLG,SHT:DATAB,SHT:ID),NOCASE,OPT
KEYID                    KEY(SHT:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
DATAB                       LONG
DATAE                       LONG
DataEF                      LONG
PODR                        LONG
NPP                         LONG
DOLG                        LONG
OKLAD                       DECIMAL(15,2)
COUNT                       DECIMAL(5,2)
KATEG                       LONG
RK                          BYTE
SN                          BYTE
VIDW                        LONG
NACH                        LONG
SYSOPL                      BYTE
GRAFIK                      LONG
KRSEV                       BYTE
UT                          STRING(6)
KPS                         STRING(14)
IT_O                        STRING(7)
VL_O                        STRING(8)
DAYDOPOTP                   BYTE
DayDopOtp1                  BYTE
AtestWP                     BYTE
AtestData                   LONG
Remark                      STRING(50)
ID                          LONG
                         END
                     END                       

#FILE(METKA)
METKA                FILE,DRIVER('TOPSPEED'),PRE(MTK),CREATE,THREAD
KEYNAME                  KEY(MTK:KKOD,MTK:NAME),NOCASE,OPT
KEYID                    KEY(MTK:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KKOD                        BYTE
NAME                        STRING(40)
USLOV                       STRING(255)
DOSTUP                      BYTE
ID                          LONG
                         END
                     END                       

#FILE(SPRARASP)
SPRARASP             FILE,DRIVER('TOPSPEED'),PRE(SNR),CREATE,THREAD
KEYNAME                  KEY(SNR:NAME,SNR:ID),NOCASE,OPT
KEYID                    KEY(SNR:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(30)
NAMESUM1                    STRING(20)
NAMESUM2                    STRING(20)
NAMEGRAF1                   STRING(10)
NAMEGRAF2                   STRING(10)
NAMEGRAF3                   STRING(10)
INIGRAF1                    STRING(50)
INIGRAF2                    STRING(50)
INIGRAF3                    STRING(50)
FORMPAI                     STRING(50)
FORMNACH                    STRING(50)
SEV                         BYTE
ID                          LONG
                         END
                     END                       

#FILE(LISTN)
LISTN                FILE,DRIVER('TOPSPEED'),PRE(LN),CREATE,THREAD
KEYTABN                  KEY(LN:TABN,LN:VIDR,LN:KN,LN:ID),NOCASE,OPT
KEYID                    KEY(LN:ID),NOCASE,OPT,PRIMARY
KeyPrik                  KEY(LN:DATAD,LN:NOMER,LN:ID),NOCASE,OPT
Record                   RECORD,PRE()
TABN                        LONG
KN                          LONG
VIDR                        BYTE
TARIF                       REAL
NOMER                       STRING(12)
DATAD                       LONG
DB                          LONG
DE                          LONG
DAY                         DECIMAL(7,2)
HOUR                        DECIMAL(7,2)
SUM                         DECIMAL(19,4)
DNACH                       LONG
COMMENT                     STRING(50)
PODR                        LONG
RATE                        REAL
SHIFRZ                      LONG
PRICH                       BYTE
BOLBORD                     DECIMAL(5,2)
BOLNORS                     DECIMAL(15,2)
BOLNFB                      DECIMAL(15,2)
VIDBOLN                     BYTE
RODS                        LONG
RAZMERBOLN                  BYTE
OGRMINBOLB                  BYTE
DATAREG                     LONG
BEGM                        LONG
ENDM                        LONG
BOLNDOPSR                   DECIMAL(15,2)
IDRecalc                    LONG
DataChange                  LONG
DataV                       BYTE
FlagProd                    BYTE
FLINBUX                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(NALSPRD)
NALSPRD              FILE,DRIVER('TOPSPEED'),PRE(NSD),CREATE,THREAD
KEYSPR                   KEY(NSD:SPRAV,NSD:VIDINF,NSD:STAVKA,NSD:MONTH,NSD:KODD),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
SPRAV                       LONG
VIDINF                      BYTE
STAVKA                      BYTE
MONTH                       BYTE
KODD                        SHORT
SUMD                        DECIMAL(15,2)
KODSK                       SHORT
SUMSK                       DECIMAL(15,2)
                         END
                     END                       

#FILE(NALSPRP)
NALSPRP              FILE,DRIVER('TOPSPEED'),PRE(NSR),CREATE,THREAD
KEYSPR                   KEY(NSR:SPRAV,NSR:OKATO,NSR:KBK),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
SPRAV                       LONG
OKATO                       STRING(11)
KBK                         STRING(20)
SUM                         DECIMAL(15,2)
                         END
                     END                       

#FILE(PROFPER)
PROFPER              FILE,DRIVER('TOPSPEED'),PRE(PRP),CREATE,THREAD
KEYTABN                  KEY(PRP:TABN,PRP:DATAB,PRP:ID),NOCASE,OPT
KEYSPEC                  KEY(PRP:SPEC,PRP:DATAB,PRP:ID),NOCASE,OPT
KeyID                    KEY(PRP:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
DATAB                       LONG
DATAE                       LONG
SPEC                        LONG
VIDDOK                      LONG
NOMERDOK                    STRING(20)
DATADOK                     LONG
OSNOV                       STRING(20)
REMARK                      STRING(60)
StatType                    BYTE
StatNorus                   BYTE
StatOrg                     BYTE
StatDist                    BYTE
ID                          LONG
                         END
                     END                       

#FILE(NASTSOGL)
NASTSOGL             FILE,DRIVER('TOPSPEED'),PRE(NSG),CREATE,THREAD
KEYNPP                   KEY(NSG:NPP),DUP,NOCASE,OPT
Record                   RECORD,PRE()
NPP                         LONG
TABN                        LONG
VIDSOGL                     STRING(20)
ALL                         BYTE
ARCHIVE                     BYTE
                         END
                     END                       

#FILE(RegPachPF)
RegPachPF            FILE,DRIVER('TOPSPEED'),PRE(RPPF),CREATE,THREAD
KeyPach                  KEY(RPPF:Obosob,RPPF:Year,RPPF:Nomer),DUP,NOCASE,OPT
KeySved                  KEY(RPPF:Obosob,RPPF:Year,RPPF:TypeSved,RPPF:OtchPer),DUP,NOCASE,OPT
Record                   RECORD,PRE()
Obosob                      LONG
Year                        SHORT
TypeSved                    STRING(10)
OtchPer                     LONG
Nomer                       LONG
                         END
                     END                       

#FILE(ShtatNach)
ShtatNach            FILE,DRIVER('TOPSPEED'),PRE(SHTN),CREATE,THREAD
KeyDolg                  KEY(SHTN:Podr,SHTN:Dolg,SHTN:ID),NOCASE,OPT
KeyID                    KEY(SHTN:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Podr                        LONG
Dolg                        LONG
ID                          LONG
DataB                       LONG
DataE                       LONG
KN                          LONG
VIDR                        BYTE
SUM                         DECIMAL(15,4)
COMMENT                     STRING(50)
UseCalc                     BYTE
                         END
                     END                       

#FILE(FDOCSN)
FDOCSN               FILE,DRIVER('TOPSPEED'),PRE(DSN),CREATE,THREAD
KEYNAST                  KEY(DSN:KODREP),NOCASE
Record                   RECORD,PRE()
KODREP                      BYTE
GRNAST                      GROUP
COPY                          BYTE
TYPEPAPER                     BYTE
TPWIDTH                       DECIMAL(9,2)
TPHEIGHT                      DECIMAL(9,2)
MINWIDTH                      DECIMAL(9,2)
MINHEIGHT                     DECIMAL(9,2)
RASPOL                        BYTE
OFFTOP                        DECIMAL(9,2)
OFFBOTTOM                     DECIMAL(9,2)
OFFLEFT                       DECIMAL(9,2)
OFFRIGHT                      DECIMAL(9,2)
FONTSIZE                      DECIMAL(4,1)
INTERVALTYPE                  BYTE
INTERVALSIZE                  DECIMAL(4,1)
WIDHT1                        LONG
COUNT                         LONG
QUALITY                       BYTE
                            END
                         END
                     END                       

#FILE(BILLRAS)
BILLRAS              FILE,DRIVER('TOPSPEED'),PRE(BRS),CREATE,THREAD
KEYRAS                   KEY(BRS:TABN,BRS:MM,BRS:VIDR),NOCASE,OPT
Record                   RECORD,PRE()
TABN                        LONG
MM                          BYTE
VIDR                        BYTE
DATAR                       LONG
TIMER                       LONG
USERR                       LONG
DATACH                      LONG
TIMECH                      LONG
USERCH                      LONG
DATAUT                      LONG
TIMEUT                      LONG
USERUT                      LONG
KTU                         DECIMAL(9,4)
AVANS                       DECIMAL(15,2)
AVANS1                      DECIMAL(15,2)
SALDOB                      DECIMAL(15,2)
SALDOE                      DECIMAL(15,2)
NACH                        DECIMAL(15,2)
UDER                        DECIMAL(15,2)
                         END
                     END                       

#FILE(SpraPersData)
SpraPersData         FILE,DRIVER('TOPSPEED'),PRE(SPD),CREATE,THREAD
KEYNAME                  KEY(SPD:Name,SPD:ID),NOCASE,OPT
KEYID                    KEY(SPD:ID),NOCASE,OPT,PRIMARY
PersData                    MEMO(1000)
Record                   RECORD,PRE()
NameOrg                     STRING(150)
Name                        STRING(60)
VidSoob                     BYTE
PersDataUsl                 STRING(255)
Cel                         STRING(250)
Forma                       STRING(100)
Srok                        STRING(100)
Raspol                      STRING(100)
ID                          LONG
                         END
                     END                       

#FILE(SpraDolgMed)
SpraDolgMed          FILE,DRIVER('TOPSPEED'),PRE(SDLGM),CREATE,THREAD
KeyDolg                  KEY(SDLGM:IDDolg,SDLGM:Version,SDLGM:NPP),DUP,NOCASE,OPT
Record                   RECORD,PRE()
IDDolg                      LONG
Version                     BYTE
NPP                         LONG
IDSpraVred                  LONG
                         END
                     END                       

#FILE(DEPONENT)
DEPONENT             FILE,DRIVER('TOPSPEED'),PRE(DEP),CREATE,THREAD
KEYTABN                  KEY(DEP:TABN,DEP:YEAR,DEP:MONTH,DEP:VIDR),DUP,NOCASE,OPT
Record                   RECORD,PRE()
TABN                        LONG
YEAR                        SHORT
MONTH                       BYTE
VIDR                        BYTE
NOMVED                      STRING(5)
SUM                         DECIMAL(15,2)
NOMERKAS                    STRING(10)
SUMOPL                      DECIMAL(11,2),DIM(12)
                         END
                     END                       

#FILE(GRAFIK)
GRAFIK               FILE,DRIVER('TOPSPEED'),PRE(Grf),CREATE,THREAD
KEYYEAR                  KEY(Grf:YEAR,Grf:GRAFIK),NOCASE,OPT
Record                   RECORD,PRE()
YEAR                        SHORT
GRAFIK                      LONG
NORMAD                      BYTE,DIM(12)
NORMAM                      DECIMAL(5,2),DIM(12)
NORMAW                      DECIMAL(5,2),DIM(12)
DAY                         BYTE,DIM(366)
                         END
                     END                       

#FILE(S1SUBCONTO)
S1SUBCONTO           FILE,DRIVER('TOPSPEED'),PRE(S1S),CREATE,THREAD
KEYNAME                  KEY(S1S:NAME),DUP,NOCASE,OPT
KEYID                    KEY(S1S:ID),OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(50)
NAMEFULL                    STRING(100)
TYPE                        BYTE
ID                          LONG
                         END
                     END                       

#FILE(S1ZNACH)
S1ZNACH              FILE,DRIVER('TOPSPEED'),PRE(S1Z),CREATE,THREAD
KEYZNACH                 KEY(S1Z:SUBCONTO,S1Z:KODZNACH),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
SUBCONTO                    LONG
KODZNACH                    STRING(50)
ZNACH                       STRING(100)
KODVLAD                     STRING(10)
                         END
                     END                       

#FILE(PLAT)
PLAT                 FILE,DRIVER('TOPSPEED'),PRE(PT),CREATE,THREAD
KEYDATA                  KEY(PT:DATA,PT:NOMER),NOCASE,OPT
KEYID                    KEY(PT:ID),NOCASE,OPT,PRIMARY
KeyDataSp                KEY(PT:DataSp,PT:ID),NOCASE,OPT
Record                   RECORD,PRE()
Plat                        LONG
NOMER                       LONG
DATA                        LONG
DataSp                      LONG
VIDPL                       BYTE
SUM                         DECIMAL(13,2)
POL                         LONG
NAZN                        STRING(237)
OCHER                       BYTE
Kod                         STRING(20)
VIDOPL                      BYTE
SROKPL                      LONG
IDNALPL                     BYTE
KBKNALPL                    STRING(20)
OKATONALPL                  STRING(11)
OSNNALPL                    STRING(2)
PERNALPL                    STRING(10)
NOMNALPL                    STRING(15)
DATANALPL                   STRING(10)
TIPNALPL                    STRING(2)
KodNazn                     BYTE
SumVZ                       DECIMAL(13,2)
ID                          LONG
                         END
                     END                       

#FILE(FavorRep)
FavorRep             FILE,DRIVER('TOPSPEED'),PRE(FVR),CREATE,THREAD
KEYPP                    KEY(FVR:OBJECT,FVR:NPP),DUP,NOCASE,OPT
KEYID                    KEY(FVR:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
OBJECT                      BYTE
NPP                         LONG
NAME                        STRING(100)
TYPE                        BYTE
Razdel                      BYTE
Bold                        BYTE
Color                       LONG
Uslov                       BYTE
ID                          LONG
                         END
                     END                       

#FILE(SPRADOLG)
SPRADOLG             FILE,DRIVER('TOPSPEED'),PRE(SDLG),CREATE,THREAD
KEYNAME                  KEY(SDLG:NAME,SDLG:ARCHIVE,SDLG:ID),NOCASE,OPT
KEYID                    KEY(SDLG:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(150)
REMARK                      STRING(30)
ID                          LONG
TIPDOLG                     BYTE
OKPDTP                      STRING(12)
OKZ                         STRING(4)
WorkFunction                STRING(15)
VREDFACTOR                  BYTE
TIPGMS                      BYTE
GMSKateg                    BYTE
GMSGroup                    BYTE
KategVU                     BYTE
KategSpecVU                 BYTE
ProfilComp                  LONG
ARCHIVE                     BYTE
TipNormSIZ                  LONG
                         END
                     END                       

#FILE(LISTREPORT)
LISTREPORT           FILE,DRIVER('TOPSPEED'),PRE(LRPT),CREATE,THREAD
KEYNAME                  KEY(LRPT:KKod,LRPT:NAME,LRPT:ID),NOCASE,OPT
KEYID                    KEY(LRPT:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KKod                        SHORT
NAME                        STRING(100)
DOSTUP                      BYTE
FILTARCHIVE                 BYTE
ID                          LONG
                         END
                     END                       

#FILE(SPRAPODRRASCH)
SPRAPODRRASCH        FILE,DRIVER('TOPSPEED'),PRE(SPdrRsc),CREATE,THREAD
KeyPodr                  KEY(SPdrRsc:IDPodr,SPdrRsc:IDRasch),NOCASE,OPT,PRIMARY
KeyRasch                 KEY(SPdrRsc:IDRasch,SPdrRsc:IDPodr),NOCASE,OPT
Record                   RECORD,PRE()
IDPodr                      LONG
IDRasch                     LONG
KVK                         STRING(17)
SUBCONTO                    STRING(20),DIM(5)
ACCOUNTZ                    STRING(9)
SUBCONTOZ                   STRING(20),DIM(5)
                         END
                     END                       

#FILE(SPRAPOL)
SPRAPOL              FILE,DRIVER('TOPSPEED'),PRE(SPOL),CREATE,THREAD
KEYNAME                  KEY(SPOL:NAME,SPOL:ARCHIVE,SPOL:ID),NOCASE,OPT
KEYID                    KEY(SPOL:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(240)
INN                         STRING(12)
KPP                         STRING(9)
NAMEBANK                    STRING(120)
BIK                         STRING(9)
KORACC                      STRING(20)
RASACC                      STRING(20)
ID                          LONG
ARCHIVE                     BYTE
HIDEREC                     BYTE
                         END
                     END                       

#FILE(SPRARASCH)
SPRARASCH            FILE,DRIVER('TOPSPEED'),PRE(SRSC),CREATE,THREAD
KEYID                    KEY(SRSC:ID),NOCASE,PRIMARY
KEYNAME                  KEY(SRSC:NAME,SRSC:ARCHIVE,SRSC:ID),NOCASE,OPT
Record                   RECORD,PRE()
NAME                        STRING(40)
KVK                         STRING(17)
ISTFIN                      STRING(1)
IFO                         STRING(10)
ACCOUNT                     STRING(9)
SUBCONTO                    STRING(20),DIM(5)
ACCOUNTZ                    STRING(9)
SUBCONTOZ                   STRING(20),DIM(5)
ID                          LONG
ARCHIVE                     BYTE
GroupSred                   LONG
GroupBoln                   LONG
GroupReport                 LONG
YearB                       SHORT
YearE                       SHORT
                         END
                     END                       

#FILE(SPRAPROV)
SPRAPROV             FILE,DRIVER('TOPSPEED'),PRE(SPRV),CREATE,THREAD
KEYNAME                  KEY(SPRV:NAME,SPRV:ARCHIVE,SPRV:ID),NOCASE,OPT
KEYID                    KEY(SPRV:ID),NOCASE,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(40)
VidProv                     STRING(50)
PRIORITET                   LONG
DEBET                       STRING(20)
DEBETSUB                    STRING(20),DIM(5)
KREDIT                      STRING(20)
KREDITSUB                   STRING(20),DIM(5)
ID                          LONG
SBROSKA                     BYTE
ARCHIVE                     BYTE
                         END
                     END                       

#FILE(SpraStat)
SpraStat             FILE,DRIVER('TOPSPEED'),PRE(SStat),CREATE,THREAD
KeyStat                  KEY(SStat:KodReport,SStat:IDData),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KodReport                   BYTE
IDData                      LONG
IDStat                      STRING(20)
DopPar                      BYTE
                         END
                     END                       

#FILE(SPRAPODR)
SPRAPODR             FILE,DRIVER('TOPSPEED'),PRE(SPDR),CREATE,THREAD
KEYNAME                  KEY(SPDR:NAME,SPDR:ARCHIVE,SPDR:ID),NOCASE,OPT
KEYSHTAT                 KEY(SPDR:NOMSHTAT,SPDR:ARCHIVE,SPDR:ID),NOCASE,OPT
KEYID                    KEY(SPDR:ID),NOCASE,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(150)
REMARK                      STRING(30)
NOMSHTAT                    USHORT
ACCOUNT                     STRING(20)
SUBCONTO                    STRING(20),DIM(5)
S1KOD                       STRING(10)
VIDPERS                     BYTE
VIDD                        LONG
OKTMO                       STRING(11)
OKATO                       STRING(11)
IFNS                        STRING(4)
OBOSOB                      LONG
ISPODR                      BYTE
ID                          LONG
ARCHIVE                     BYTE
KPP                         STRING(9)
Adres                       STRING(110)
OKPO                        STRING(14)
PRFES                       BYTE
RKFed                       BYTE
                         END
                     END                       

#FILE(SPRAOTP)
SPRAOTP              FILE,DRIVER('TOPSPEED'),PRE(SOtp),CREATE,THREAD
KEYNAME                  KEY(SOtp:NAME,SOtp:ARCHIVE,SOtp:ID),NOCASE,OPT
KEYID                    KEY(SOtp:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(100)
ID                          LONG
KodGrafik                   BYTE
Prodl                       BYTE
Otziv                       BYTE
Nach                        LONG
VidOtp                      BYTE
InPrikaz                    BYTE
KodTabel                    LONG
IsKomp                      BYTE
Prich                       BYTE
PFIT                        STRING(9)
PFLgot                      BYTE
PFTU                        BYTE
ARCHIVE                     BYTE
                         END
                     END                       

#FILE(SpraZapros)
SpraZapros           FILE,DRIVER('TOPSPEED'),PRE(SpZps),CREATE,THREAD
KeyID                    KEY(SpZps:ID),NOCASE,OPT,PRIMARY
KeyData                  KEY(SpZps:KKod,SpZps:DataZ,SpZps:ID),NOCASE,OPT
KeyTabn                  KEY(SpZps:IDFizList,SpZps:DataZ,SpZps:ID),NOCASE,OPT
Record                   RECORD,PRE()
KKod                        BYTE
IDFizList                   LONG
DataZ                       LONG
Nomer                       STRING(10)
Org                         LONG
DataB                       LONG
DataE                       LONG
VidPos                      BYTE
Prich                       LONG
Year                        SHORT,DIM(3)
ID                          LONG
                         END
                     END                       

#FILE(SPRAOKZ)
SPRAOKZ              FILE,DRIVER('TOPSPEED'),PRE(SOKZ),CREATE,THREAD
KEYKOD                   KEY(SOKZ:KOD),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
LEVEL                       SHORT
NAME                        STRING(250)
KOD                         STRING(4)
CN                          STRING(1)
                         END
                     END                       

#FILE(SpraZarOtp)
SpraZarOtp           FILE,DRIVER('TOPSPEED'),PRE(SpOtp),CREATE,THREAD
KeyTabn                  KEY(SpOtp:Tabn,SpOtp:Year,SpOtp:Month,SpOtp:VidR),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Tabn                        LONG
Year                        SHORT
Month                       BYTE
VidR                        BYTE
DayR                        BYTE
DayK                        BYTE
SumPv                       DECIMAL(15,2)
SumNPv                      DECIMAL(15,2)
SumGD                       DECIMAL(15,2)
                         END
                     END                       

#FILE(SPRAZVAN)
SPRAZVAN             FILE,DRIVER('TOPSPEED'),PRE(SZV),CREATE,THREAD
KeyID                    KEY(SZV:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Name                        STRING(50)
Level                       BYTE
TypeZv                      BYTE
VozrastM                    BYTE
VozrastW                    BYTE
ID                          LONG
                         END
                     END                       

#FILE(SPRAVIDD)
SPRAVIDD             FILE,DRIVER('TOPSPEED'),PRE(SVDD),CREATE,THREAD
KEYNAME                  KEY(SVDD:NAME,SVDD:ARCHIVE,SVDD:ID),NOCASE,OPT
KEYID                    KEY(SVDD:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(100)
ID                          LONG
OKVED                       STRING(9)
OKVED2                      STRING(9)
ARCHIVE                     BYTE
                         END
                     END                       

#FILE(SpraZarP)
SpraZarP             FILE,DRIVER('TOPSPEED'),PRE(SpZP),CREATE,THREAD
KeySpra                  KEY(SpZP:IDSpra,SpZP:DB),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDSpra                      LONG
DB                          LONG
DE                          LONG
DAY                         DECIMAL(7,2)
TypePer                     BYTE
                         END
                     END                       

#FILE(SPRASEV)
SPRASEV              FILE,DRIVER('TOPSPEED'),PRE(SSEV),CREATE,THREAD
KEYNAME                  KEY(SSEV:IDObject,SSEV:NAME,SSEV:ARCHIVE,SSEV:ID),NOCASE,OPT
KEYID                    KEY(SSEV:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NAME                        STRING(40)
ID                          LONG
YEAR                        DECIMAL(5,2),DIM(10)
PROCENT                     DECIMAL(5,2),DIM(10)
ARCHIVE                     BYTE
IDObject                    BYTE
                         END
                     END                       

#FILE(SPRATARIF)
SPRATARIF            FILE,DRIVER('TOPSPEED'),PRE(STRF),CREATE,THREAD
KEYRAZR                  KEY(STRF:RAZR,STRF:DATAB),NOCASE,OPT,PRIMARY
KEYDATA                  KEY(STRF:DATAB,STRF:RAZR),NOCASE,OPT
Record                   RECORD,PRE()
RAZR                        BYTE
DATAB                       LONG
SUM                         DECIMAL(15,2)
                         END
                     END                       

#FILE(S1ACCOUNT)
S1ACCOUNT            FILE,DRIVER('TOPSPEED'),PRE(S1A),CREATE,THREAD
KEYACC                   KEY(S1A:ACCOUNT),NOCASE,OPT
Record                   RECORD,PRE()
ACCOUNT                     STRING(11)
NAME                        STRING(100)
SUBCONTO                    LONG,DIM(5)
SubcontoReq                 BYTE,DIM(5)
                         END
                     END                       

#FILE(TAGS)
TAGS                 FILE,DRIVER('TOPSPEED'),PRE(TGS),CREATE,THREAD
KEYKOD                   KEY(TGS:KKOD,TGS:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KKOD                        LONG
ID                          LONG
                         END
                     END                       

#FILE(TAGSSAVE)
TAGSSAVE             FILE,DRIVER('TOPSPEED'),PRE(TGN),CREATE,THREAD
KEYNAME                  KEY(TGN:KKOD,TGN:NAME,TGN:ID),NOCASE,OPT
KEYID                    KEY(TGN:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KKOD                        LONG
NAME                        STRING(50)
SaveDate                    LONG
SaveTime                    LONG
Count                       LONG
GroupFilter                 GROUP
VIdD                          BYTE,DIM(4)
Sost                          BYTE
DataB                         LONG
DataE                         LONG
Podr                          LONG
Dolg                          LONG
                            END
ID                          STRING(20)
                         END
                     END                       

#FILE(KONTORA)
KONTORA              FILE,DRIVER('TOPSPEED'),OWNER(''kontora''),ENCRYPT,PRE(KON),CREATE
Record                   RECORD,PRE()
ID                          STRING(12)
KODPR                       BYTE
YEAR                        SHORT
                         END
                     END                       

#FILE(LISTI)
LISTI                FILE,DRIVER('TOPSPEED'),PRE(LI),CREATE,THREAD
KEYTABN                  KEY(LI:TABN,LI:DATA,LI:ID),NOCASE,OPT
KEYALARM                 KEY(LI:TABN,LI:ALARM,LI:ID),NOCASE,OPT
KEYID                    KEY(LI:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
DATA                        LONG
DataControl                 LONG
USER                        LONG
DOSTUP                      BYTE
ALARM                       BYTE
INFOR                       STRING(80)
FillKvit                    BYTE
ID                          LONG
                         END
                     END                       

#FILE(PRIKAZ)
PRIKAZ               FILE,DRIVER('TOPSPEED'),PRE(PRK),CREATE,THREAD
KEYDATA                  KEY(PRK:DATA,PRK:NOMER,PRK:ID),NOCASE,OPT
KEYID                    KEY(PRK:ID),NOCASE,OPT,PRIMARY
TextPrik                    BLOB,BINARY
PREAMBLE                    BLOB
Record                   RECORD,PRE()
NOMER                       STRING(10)
DATA                        LONG
TypePrik                    LONG
FORMA                       BYTE
REMARK                      STRING(80)
TYPESAVE                    BYTE
DATESAVE                    LONG
TIMESAVE                    LONG
ID                          LONG
                         END
                     END                       

#FILE(SAVEDOC)
SAVEDOC              FILE,DRIVER('TOPSPEED'),PRE(SD),CREATE,THREAD
KEYID                    KEY(SD:ID),NOCASE,OPT,PRIMARY
KEYNAME                  KEY(SD:NAMED,SD:ID),NOCASE,OPT
KEYSOZD                  KEY(SD:DATAD,SD:TIMED),NOCASE,OPT
TextReport                  BLOB,BINARY
Record                   RECORD,PRE()
ID                          LONG
VID                         BYTE
NAMED                       STRING(100)
DATAD                       LONG
TIMED                       LONG
DOSTUP                      BYTE
                         END
                     END                       

#FILE(SVEDCONV)
SVEDCONV             FILE,DRIVER('TOPSPEED'),PRE(SVC),CREATE,THREAD
KEYNAME                  KEY(SVC:NOMERSD,SVC:NAME,SVC:ID),NOCASE
KEYNOMP                  KEY(SVC:NOMERSD,SVC:NOMP,SVC:NOMD,SVC:NAME,SVC:ID),NOCASE
KEYID                    KEY(SVC:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NOMERSD                     SHORT
NOMP                        LONG
NOMD                        SHORT
TYPESVED                    BYTE
NAME                        STRING(20)
TABN                        LONG
TU                          STRING(3)
TUK                         DECIMAL(3,2)
STAGY                       BYTE
STAGM                       BYTE
STAGD                       BYTE
DATAZ                       LONG
ID                          LONG
                         END
                     END                       

#FILE(USERGR)
USERGR               FILE,DRIVER('TOPSPEED'),OWNER(''usergroup.tps''),ENCRYPT,PRE(UGr),CREATE
KeyID                    KEY(UGr:ID),NOCASE,OPT,PRIMARY
KeyName                  KEY(UGr:NAME,UGr:ID),NOCASE,OPT
Record                   RECORD,PRE()
NAME                        STRING(30)
REMARK                      STRING(50)
ID                          LONG
                         END
                     END                       

#FILE(SVEDSTAG)
SVEDSTAG             FILE,DRIVER('TOPSPEED'),PRE(SVS),CREATE,THREAD
KEYDATA                  KEY(SVS:SVED,SVS:DATAB),DUP,NOCASE,OPT
Record                   RECORD,PRE()
SVED                        LONG
ORG                         LONG
VIDWORK                     STRING(10)
DOLG                        LONG
DATAB                       LONG
DATAE                       LONG
TU                          BYTE
TUK                         DECIMAL(3,2)
OU                          STRING(8)
KPS                         STRING(20)
IT_O                        STRING(7)
IT_D0                       BYTE
IT_D1                       BYTE
IT_D2                       BYTE
IT_D3                       STRING(9)
VL_O                        STRING(8)
VL_D1                       SHORT
VL_D2                       SHORT
VL_D3                       DECIMAL(3,2)
                         END
                     END                       

#FILE(USERGRDOS)
USERGRDOS            FILE,DRIVER('TOPSPEED'),OWNER(''usergroup.tps''),ENCRYPT,PRE(UGD),CREATE
KeyID                    KEY(UGD:ID,UGD:IDPROC),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
ID                          LONG
IDPROC                      STRING(20)
LOOK                        BYTE
CHANGE                      BYTE
                         END
                     END                       

#FILE(UserPodr)
UserPodr             FILE,DRIVER('TOPSPEED'),PRE(UsrPdr),CREATE,THREAD
KeyUser                  KEY(UsrPdr:IDUser,UsrPdr:IDPodr),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDUser                      LONG
IDPodr                      LONG
                         END
                     END                       

#FILE(SVEDITOG)
SVEDITOG             FILE,DRIVER('TOPSPEED'),PRE(SVI),CREATE,THREAD
KEYITOG                  KEY(SVI:SVED,SVI:TYPESTAG,SVI:KODSTAG,SVI:TUK),DUP,NOCASE,OPT
Record                   RECORD,PRE()
SVED                        LONG
TYPESTAG                    BYTE
KODSTAG                     STRING(8)
TUK                         DECIMAL(3,2)
YEAR                        BYTE
MONTH                       BYTE
DAY                         BYTE
                         END
                     END                       

#FILE(VARREPWORK)
VARREPWORK           FILE,DRIVER('TOPSPEED'),PRE(VRW),CREATE,THREAD
KeyName                  KEY(VRW:Name,VRW:DataB),DUP,NOCASE,OPT
KeyID                    KEY(VRW:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDFizList                   LONG
Name                        STRING(20)
DataB                       LONG
DataE                       LONG
ID                          LONG
                         END
                     END                       

#FILE(DostupProc)
DostupProc           FILE,DRIVER('TOPSPEED'),PRE(SProc),THREAD
KEYPROC                  KEY(SProc:KATEG,SProc:NAME),NOCASE,OPT
Record                   RECORD,PRE()
NAME                        STRING(30)
KATEG                       STRING(30)
DOSTUP                      STRING(2)
COMMENT                     STRING(100)
                         END
                     END                       

#FILE(VARREPDonach)
VARREPDonach         FILE,DRIVER('TOPSPEED'),PRE(VRDN),CREATE,THREAD
KEYDonach                KEY(VRDN:YEAR,VRDN:IDReport,VRDN:OBOSOB,VRDN:Kvartal,VRDN:DataDN,VRDN:OsnDT3,VRDN:Osn),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDReport                    BYTE
YEAR                        SHORT
OBOSOB                      BYTE
Kvartal                     BYTE
Osn                         BYTE
DataDN                      LONG
SumOPS                      DECIMAL(15,2)
SumOpsPr                    DECIMAL(15,2)
SumStr                      DECIMAL(15,2)
SumStrPr                    DECIMAL(15,2)
SumNak                      DECIMAL(15,2)
SumDT1                      DECIMAL(15,2)
SumDT2                      DECIMAL(15,2)
OsnDT3                      BYTE
SumDT3                      DECIMAL(15,2)
SumOMS                      DECIMAL(15,2)
                         END
                     END                       

#FILE(TipGroup)
TipGroup             FILE,DRIVER('TOPSPEED'),PRE(tgr),CREATE,THREAD
Group_key                KEY(tgr:GroupID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
GroupID                     ULONG
Level                       SHORT
Description                 STRING(50)
Icon                        BYTE
Caption                     STRING(80)
                         END
                     END                       

#FILE(UpdateVer)
UpdateVer            FILE,DRIVER('TOPSPEED'),PRE(UPD),CREATE,THREAD
KeyDataUpd               KEY(UPD:NomerVer,UPD:DataUpd,UPD:TimeUpd),NOCASE,OPT
Record                   RECORD,PRE()
DataUpd                     LONG
TimeUpd                     LONG
TypeUpd                     BYTE
NomerVer                    LONG
DataVer                     LONG
                         END
                     END                       

#FILE(Compet)
Compet               FILE,DRIVER('TOPSPEED'),PRE(CMTCO),CREATE,THREAD
KEYID                    KEY(CMTCO:ID),NOCASE,OPT,PRIMARY
KeyLevel                 KEY(CMTCO:IDParent,CMTCO:Name,CMTCO:ID),NOCASE,OPT
Record                   RECORD,PRE()
Name                        STRING(60)
Stat                        DECIMAL(7,2)
IDParent                    LONG
ID                          LONG
                         END
                     END                       

#FILE(WORKHOLIDAY)
WORKHOLIDAY          FILE,DRIVER('TOPSPEED'),PRE(WHLD),CREATE,THREAD
KEYTABN                  KEY(WHLD:TABN,WHLD:DATAB,WHLD:ID),NOCASE,OPT
KEYPRIK                  KEY(WHLD:DATAD,WHLD:NOMERD,WHLD:ID),NOCASE,OPT
KEYID                    KEY(WHLD:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
TABN                        LONG
DATAB                       LONG
DATAE                       LONG
DAY                         SHORT
VIDKOMP                     BYTE
DATAD                       LONG
NOMERD                      STRING(10)
NoFullDay                   BYTE
TimeB                       LONG
TimeE                       LONG
TimePerB                    LONG
TimePerE                    LONG
FLINBUX                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(ZAEMPOG)
ZAEMPOG              FILE,DRIVER('TOPSPEED'),PRE(ZPG),CREATE,THREAD
KEYZAEM                  KEY(ZPG:IDZaem,ZPG:DATAOPL,ZPG:ID),NOCASE,OPT
KEYID                    KEY(ZPG:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDZaem                      LONG
DATAOPL                     LONG
SUMOPL                      DECIMAL(15,2)
VIDUD                       LONG
SUMPROCENT                  DECIMAL(15,2)
SUMMATVIG                   DECIMAL(15,2)
ID                          LONG
                         END
                     END                       

#FILE(ListChin)
ListChin             FILE,DRIVER('TOPSPEED'),PRE(Chin),CREATE,THREAD
KeyTabn                  KEY(Chin:Tabn,Chin:DataB,Chin:ID),NOCASE,OPT
KeyID                    KEY(Chin:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Tabn                        LONG
Chin                        LONG
DataPreds                   LONG
DataB                       LONG
DataD                       LONG
NomerD                      STRING(10)
COMMENT                     STRING(50)
DataN                       LONG
DataE                       LONG
DataED                      LONG
NomerED                     STRING(10)
ID                          LONG
                         END
                     END                       

#FILE(Tips)
Tips                 FILE,DRIVER('TOPSPEED'),PRE(tip),CREATE,THREAD
GroupNameKay             KEY(tip:GroupID,tip:Name),DUP,NOCASE,OPT
KeyDate                  KEY(tip:Date,tip:SysId),DUP,NOCASE,OPT
SysID_key                KEY(tip:SysId),NOCASE,OPT
Question                    MEMO(1000)
Tip                         MEMO(4000)
Record                   RECORD,PRE()
SysId                       ULONG
GroupID                     ULONG
Name                        STRING(80)
Date                        LONG
Dostup                      BYTE
URL                         STRING(100)
                         END
                     END                       

#FILE(SpraBIK)
SpraBIK              FILE,DRIVER('TOPSPEED'),PRE(SBIK),CREATE,BINDABLE,THREAD
KeyBIK                   KEY(SBIK:BIK),DUP,NOCASE,OPT
KeyCity                  KEY(SBIK:City,SBIK:BIK),DUP,NOCASE,OPT
KeyName                  KEY(SBIK:NameS,SBIK:BIK),DUP,NOCASE,OPT
Record                   RECORD,PRE()
Status                      STRING(4)
City                        STRING(25)
Adres                       STRING(56)
NameB                       STRING(45)
NameS                       STRING(30)
BIK                         STRING(9)
KS                          STRING(20)
                         END
                     END                       

#FILE(Log)
Log                  FILE,DRIVER('TOPSPEED'),PRE(Log),CREATE,THREAD
KeyID                    KEY(Log:IDTable,Log:ID),DUP,OPT
KeyIDParent              KEY(Log:IDParentTable,Log:IDParent),DUP,OPT
Record                   RECORD,PRE()
DATE                        LONG
TIME                        LONG
IDUser                      USHORT
Computer                    USHORT
IDTable                     USHORT
ID                          LONG
IDParentTable               USHORT
IDParent                    LONG
Oper                        BYTE
Remark                      STRING(50)
                         END
                     END                       

#FILE(INDSVOSTM)
INDSVOSTM            FILE,DRIVER('TOPSPEED'),PRE(INOSTM),CREATE,THREAD
KeyID                    KEY(INOSTM:ID),NOCASE,OPT,PRIMARY
KeyOst                   KEY(INOSTM:Obosob,INOSTM:Year,INOSTM:Kvartal,INOSTM:ID),NOCASE,OPT
Record                   RECORD,PRE()
Obosob                      LONG
Year                        SHORT
Kvartal                     BYTE
NALSTR                      DECIMAL(15,2)
NALNAK                      DECIMAL(15,2)
Remark                      STRING(50)
ID                          LONG
                         END
                     END                       

#FILE(NastRatePatent)
NastRatePatent       FILE,DRIVER('TOPSPEED'),PRE(NRTPat),CREATE,THREAD
KEYID                    KEY(NRTPat:ID),NOCASE,PRIMARY
Record                   RECORD,PRE()
Nomer                       STRING(13)
Kod                         STRING(6)
Name                        STRING(100)
DataB                       LONG
DataE                       LONG
Podr                        LONG
ID                          LONG
                         END
                     END                       

#FILE(SaveNalReport)
SaveNalReport        FILE,DRIVER('TOPSPEED'),PRE(SNRM),CREATE,THREAD
KEYREPORT                KEY(SNRM:IDREPORT,SNRM:OBOSOB,SNRM:YEAR,SNRM:PERIOD)
KEYID                    KEY(SNRM:ID)
Record                   RECORD,PRE()
IDREPORT                    STRING(20)
OBOSOB                      LONG
YEAR                        LONG
PERIOD                      LONG
ID                          LONG
DATE                        LONG
TIME                        LONG
                         END
                     END                       

#FILE(SaveNalReportZ)
SaveNalReportZ       FILE,DRIVER('TOPSPEED'),PRE(SNRZ),CREATE,THREAD
KEYREPORT                KEY(SNRZ:IDSAVE,SNRZ:NAME,SNRZ:INDEX)
Record                   RECORD,PRE()
IDSAVE                      LONG
NAME                        STRING(100)
INDEX                       LONG
ZNACH                       STRING(255)
                         END
                     END                       

#FILE(SpraDate)
SpraDate             FILE,DRIVER('TOPSPEED'),PRE(SDate),CREATE,THREAD
KEYData                  KEY(SDate:KKOD,SDate:Data,SDate:ARCHIVE,SDate:ID),NOCASE,OPT
KEYID                    KEY(SDate:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KKOD                        SHORT
Data                        LONG
NAME                        STRING(100)
ARCHIVE                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(SPRASTAVKA)
SPRASTAVKA           FILE,DRIVER('TOPSPEED'),PRE(SSTV),CREATE,THREAD
KEYDat                   KEY(SSTV:IDStavka,SSTV:DataStavka),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDStavka                    LONG
DataStavka                  LONG
SumB                        DECIMAL(15,2),DIM(10)
SumE                        DECIMAL(15,2),DIM(10)
Sum                         DECIMAL(15,2),DIM(10)
PROCENT                     DECIMAL(5,2),DIM(10)
                         END
                     END                       

#FILE(TagsControl)
TagsControl          FILE,DRIVER('TOPSPEED'),PRE(TGCNT),CREATE,THREAD
KeyIDControl             KEY(TGCNT:IDControl,TGCNT:ID1,TGCNT:ID2,TGCNT:ID3),NOCASE,PRIMARY
Record                   RECORD,PRE()
IDControl                   BYTE
ID1                         LONG
ID2                         LONG
ID3                         LONG
                         END
                     END                       

#FILE(KOMANDPR)
KOMANDPR             FILE,DRIVER('TOPSPEED'),PRE(KOMPR),CREATE,THREAD
KEYKomand                KEY(KOMPR:IDKomand,KOMPR:DATAB,KOMPR:ID),NOCASE,OPT
KEYPRIK                  KEY(KOMPR:DATAD,KOMPR:NOMERD,KOMPR:ID),NOCASE,OPT
KeyID                    KEY(KOMPR:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDKomand                    LONG
DATAB                       LONG
DATAE                       LONG
SROK                        BYTE
Vid                         BYTE
Osnov                       STRING(255)
REMARK                      STRING(60)
DATAD                       LONG
NOMERD                      STRING(10)
FLINBUX                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(OTPUSKPr)
OTPUSKPr             FILE,DRIVER('TOPSPEED'),PRE(OTPPr),CREATE,THREAD
KEYOtpusk                KEY(OTPPr:IDOtpusk,OTPPr:DATAB,OTPPr:ID),NOCASE,OPT
KEYPRIK                  KEY(OTPPr:DATAD,OTPPr:NOMERD,OTPPr:ID),NOCASE,OPT
KeyID                    KEY(OTPPr:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDOtpusk                    LONG
Vid                         BYTE
DATAB                       LONG
DATAE                       LONG
UseDay                      BYTE
DATAD                       LONG
NOMERD                      STRING(12)
REMARK                      STRING(60)
FLINBUX                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(NALSPRUV)
NALSPRUV             FILE,DRIVER('TOPSPEED'),PRE(NSUV),CREATE,THREAD
KeySprav                 KEY(NSUV:SPRAV,NSUV:VidUv,NSUV:NOMERUV),NOCASE
Record                   RECORD,PRE()
SPRAV                       LONG
VidUv                       BYTE
NOMERUV                     STRING(10)
DATAUV                      LONG
KODNALUV                    STRING(4)
                         END
                     END                       

#FILE(NDFL6)
NDFL6                FILE,DRIVER('TOPSPEED'),PRE(ND6),CREATE,THREAD
KEYNDFL                  KEY(ND6:Obosob,ND6:Year,ND6:Kv,ND6:KPP,ND6:OKTMO),NOCASE
KeyID                    KEY(ND6:ID),NOCASE,PRIMARY
Record                   RECORD,PRE()
Obosob                      LONG
Year                        SHORT
Kv                          BYTE
OKTMO                       STRING(11)
KPP                         STRING(9)
Korr                        SHORT
PeriodKod                   BYTE
Mesto                       SHORT
ID                          LONG
GroupCalc                   GROUP
Count                         LONG,DIM(7)
CountVKS                      LONG,DIM(7)
DOXOD                         DECIMAL(15,2),DIM(7)
DOXODDIV                      DECIMAL(15,2),DIM(7)
DOXODZP                       DECIMAL(15,2),DIM(7)
DOXODGPX                      DECIMAL(15,2),DIM(7)
DOXODVKS                      DECIMAL(15,2),DIM(7)
SumVich                       DECIMAL(15,2),DIM(7)
NalBaza                       DECIMAL(15,2),DIM(7)
NALOGI                        DECIMAL(13),DIM(7)
NALOGID                       DECIMAL(13),DIM(7)
NalogIVKS                     DECIMAL(13),DIM(7)
NALOGIAv                      DECIMAL(13),DIM(7)
NalogZ                        DECIMAL(13),DIM(7)
NalogIn                       DECIMAL(13),DIM(7)
NALOGU                        DECIMAL(13),DIM(7)
NALOGUP                       DECIMAL(13),DIM(6,7)
NALOGNUd                      DECIMAL(13),DIM(7)
NalogIUD                      DECIMAL(13),DIM(7)
NALOGV                        DECIMAL(13),DIM(7)
NALOGVP                       DECIMAL(13),DIM(6,7)
                            END
                         END
                     END                       

#FILE(NDFL6D)
NDFL6D               FILE,DRIVER('TOPSPEED'),PRE(ND6D),CREATE,THREAD
KeyIDNDFL6               KEY(ND6D:IDNDFL6,ND6D:ID),NOCASE
KeyID                    KEY(ND6D:ID),NOCASE,PRIMARY
Record                   RECORD,PRE()
IDNDFL6                     LONG
DataI                       LONG
DataU                       LONG
DataP                       LONG
SumV                        DECIMAL(15,2)
NalU                        DECIMAL(13)
ID                          LONG
                         END
                     END                       

#FILE(INDSVZL)
INDSVZL              FILE,DRIVER('TOPSPEED'),PRE(ISZL),CREATE,THREAD
KeyTabn                  KEY(ISZL:Tabn,ISZL:ID),NOCASE,OPT
KeySP                    KEY(ISZL:Period,ISZL:NomP,ISZL:Name,ISZL:ID),NOCASE,OPT
KeySN                    KEY(ISZL:Period,ISZL:Name,ISZL:ID),NOCASE,OPT
KeyID                    KEY(ISZL:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
NomP                        LONG
Period                      BYTE
Tabn                        LONG
Name                        STRING(20)
TypeKorr                    BYTE
DATAZ                       LONG
DATAAKT                     LONG
Sum                         DECIMAL(15,2)
ID                          LONG
                         END
                     END                       

#FILE(OKVED)
OKVED                FILE,DRIVER('TOPSPEED'),PRE(OKVED),CREATE,THREAD
KEYOKVED2                KEY(OKVED:OKVED2,OKVED:ID),NOCASE,OPT,PRIMARY
KEYOKVED                 KEY(OKVED:OKVED,OKVED:ID),NOCASE,OPT
Record                   RECORD,PRE()
OKVED                       STRING(8)
OKVED2                      STRING(8)
NAME                        STRING(150)
ID                          LONG
                         END
                     END                       

#FILE(SpraDolgNSIZ)
SpraDolgNSIZ         FILE,DRIVER('TOPSPEED'),PRE(SDLGN),CREATE,THREAD
KEYNSIZ                  KEY(SDLGN:IDDolg,SDLGN:Tip,SDLGN:SIZ,SDLGN:ID),NOCASE,OPT
KEYID                    KEY(SDLGN:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
IDDolg                      LONG
Tip                         BYTE
SIZ                         LONG
Punkt                       STRING(10)
VidUch                      BYTE
Izm                         STRING(15)
Count                       SHORT
Period                      DECIMAL(7,2)
PeriodVid                   BYTE
ID                          LONG
                         END
                     END                       

#FILE(ViplFSS)
ViplFSS              FILE,DRIVER('TOPSPEED'),PRE(VFSS),CREATE,THREAD
KeyID                    KEY(VFSS:ID),NOCASE,PRIMARY
KeyTabn                  KEY(VFSS:IDFizList,VFSS:DataZ,VFSS:ID),NOCASE
KeyName                  KEY(VFSS:Name,VFSS:IDFizList,VFSS:DataZ,VFSS:ID),NOCASE,OPT
KeyDataZ                 KEY(VFSS:DataZ,VFSS:Name,VFSS:ID),NOCASE,OPT
Record                   RECORD,PRE()
IDFizList                   LONG
Tabn                        LONG
Name                        STRING(20)
DataZ                       LONG
Remark                      STRING(100)
DataVigr                    LONG
TYPE_INFO                   BYTE
RECALC_REASON_CODE          BYTE
DOC_TYPE                    BYTE
OWNER_FLAG                  BYTE
IDUpoln                     LONG
PAYMENT_TYPE                BYTE
ACCOUNT_BIC                 STRING(9)
ACCOUNT_NAME                STRING(80)
ACCOUNT                     STRING(20)
PAYCARD_NUM                 STRING(19)
WORK_CONTRACT_START_DT      LONG
WORK_CONTRACT_FINISH_DT     LONG
WORK_CONTRACT_FLAG          BYTE
BASE_CALC_DAYS              SHORT
BASE_AVG_SAL                DECIMAL(15,2)
MULTPATR                    BYTE
AVG_SAL                     DECIMAL(15,2)
BASE_AVG_DAILY_SAL          DECIMAL(15,2)
YEAR_CHANGE_FLAG            BYTE
YEAR1                       SHORT
YEAR2                       SHORT
BASE_SUM1                   DECIMAL(15,2)
BASE_SUM2                   DECIMAL(15,2)
KF_REG                      DECIMAL(3,2)
KF_SHORT_DAY                DECIMAL(4,3)
LIVE_COND                   BYTE
INSUR                       LONG
NOT_INSUR                   LONG
EMPL_FLAG                   BYTE
MSE_INVALID_DAYS            LONG
LN_CODE                     STRING(12)
PREV_LN_CODE                STRING(12)
LN_TYPE                     BYTE
PRIMARY_FLAG                BYTE
DUPLICATE_FLAG              BYTE
CHANGE_LN                   STRING(12)
LN_DATE                     LONG
LPU_NAME                    STRING(80)
LPU_ADDRESS                 STRING(110)
LPU_OGRN                    STRING(20)
REASON1                     BYTE
REASON2                     BYTE
REASON3                     BYTE
PARENT_CODE                 STRING(12)
DATE1                       LONG
DATE2                       LONG
VOUCHER_NO                  STRING(10)
VOUCHER_OGRN                STRING(15)
RODS1                       LONG
RODS2                       LONG
PREGN12W_FLAG               BYTE
HOSPITAL_DT1                LONG
HOSPITAL_DT2                LONG
HOSPITAL_BREACH_CODE        BYTE
HOSPITAL_BREACH_DT          LONG
MSE_DT1                     LONG
MSE_DT2                     LONG
MSE_DT3                     LONG
MSE_INVALID_GROUP           BYTE
TREAT1_DT1                  LONG
TREAT1_DT2                  LONG
TREAT1_DOCTOR_ROLE          STRING(100)
TREAT1_DOCTOR               STRING(90)
TREAT1_DOCTOR2_ROLE         STRING(100)
TREAT1_CHAIRMAN_VK          STRING(90)
TREAT2_DT1                  LONG
TREAT2_DT2                  LONG
TREAT2_DOCTOR_ROLE          STRING(100)
TREAT2_DOCTOR               STRING(90)
TREAT2_DOCTOR2_ROLE         STRING(100)
TREAT2_CHAIRMAN_VK          STRING(90)
TREAT3_DT1                  LONG
TREAT3_DT2                  LONG
TREAT3_DOCTOR_ROLE          STRING(100)
TREAT3_DOCTOR               STRING(90)
TREAT3_DOCTOR2_ROLE         STRING(100)
TREAT3_CHAIRMAN_VK          STRING(90)
RETURN_DATE_LPU             LONG
MSE_RESULT                  BYTE
OTHER_STATE_DT              LONG
NEXT_LN_CODE                STRING(12)
CALC_CONDITION1             BYTE
CALC_CONDITION2             BYTE
CALC_CONDITION3             BYTE
CODE_NUCLEAR                BYTE
FORM1_DT                    LONG
RETURN_DATE_EMPL            LONG
EMPL_PAYMENT_FLAG           BYTE
EMPL_DT1                    LONG
EMPL_DT2                    LONG
FSS_PAYMENT_FLAG            BYTE
DT1                         LONG
DT2                         LONG
CALC_DAYS                   SHORT
EMPL_PAYMENT                DECIMAL(15,2)
FSS_PAYMENT                 DECIMAL(15,2)
PAYMENT                     DECIMAL(15,2)
CHILD_SER                   BYTE
MH_OUT                      BYTE
HOLID_DT_ST                 LONG
HOLID_DT_FN                 LONG
HOLID_DT_EX                 LONG
REASON_EMPL                 BYTE
BegSred                     LONG
VidR                        BYTE
DataN                       LONG
DataV                       BYTE
EMPL_NOTE                   STRING(255)
RESP_NO                     STRING(12)
RESP_DT                     LONG
Refuse_Flag                 BYTE
Refuse_Reason               STRING(255)
socialAssistNum             DECIMAL(12)
ResponseOn                  STRING(36)
SaveNomFile                 SHORT
SaveNomInFile               BYTE
ID                          LONG
                         END
                     END                       

#FILE(Perech)
Perech               FILE,DRIVER('TOPSPEED'),PRE(Prch),CREATE,THREAD
KeyID                    KEY(Prch:ID),NOCASE,OPT,PRIMARY
KeyPeriod                KEY(Prch:Year,Prch:Period,Prch:Obosob,Prch:NOMP,Prch:Podr,Prch:Dolg,Prch:ID),NOCASE,OPT
Record                   RECORD,PRE()
Year                        SHORT
Period                      BYTE
NOMP                        LONG
TYPEKORR                    BYTE
KORRYEAR                    SHORT
Obosob                      LONG
Podr                        STRING(100)
Dolg                        STRING(100)
Count                       DECIMAL(7,2)
CountF                      DECIMAL(7,2)
Har                         STRING(1000)
Doc                         STRING(1000)
UT                          STRING(6)
KPS                         STRING(20)
VL_O                        STRING(8)
ID                          LONG
                         END
                     END                       

#FILE(EmailUZ)
EmailUZ              FILE,DRIVER('TOPSPEED'),PRE(EMUZ),CREATE,THREAD
KeyID                    KEY(EMUZ:ID),NOCASE,PRIMARY
KeyName                  KEY(EMUZ:Name,EMUZ:Archive,EMUZ:ID),NOCASE,OPT
Record                   RECORD,PRE()
Name                        STRING(100)
User                        STRING(100)
Email                       STRING(100)
TimeOut                     LONG
UseEmail                    BYTE
ServerInName                STRING(100)
ServerInPort                LONG
ServerInSSL                 BYTE
ServerInSSLVersion          LONG
ServerInUser                STRING(100)
ServerInPasw                STRING(20)
ServerOutName               STRING(100)
ServerOutPort               LONG
ServerOutSSL                BYTE
ServerOutSSLVersion         LONG
ServerOutUser               STRING(100)
ServerOutPasw               STRING(20)
Helo                        STRING(30)
Archive                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(EmailMain)
EmailMain            FILE,DRIVER('TOPSPEED'),PRE(EmM),CREATE,THREAD
KeyID                    KEY(EmM:ID),NOCASE,PRIMARY
Body                        MEMO(1000)
Record                   RECORD,PRE()
IDUZ                        LONG
Grupa                       BYTE
Poluch                      STRING(100)
PoluchGr                    BYTE
PoluchID                    LONG
Date                        LONG
Time                        LONG
Subject                     STRING(200)
Atribut                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(EMailEx)
EMailEx              FILE,DRIVER('TOPSPEED'),PRE(EMEX),CREATE,THREAD
KeyMain                  KEY(EMEX:IDMain),DUP,NOCASE
FileBody                    BLOB
Record                   RECORD,PRE()
Name                        STRING(255)
IDMain                      LONG
                         END
                     END                       

#FILE(EmailAB)
EmailAB              FILE,DRIVER('TOPSPEED'),PRE(EMAB),CREATE,THREAD
KeyID                    KEY(EMAB:ID),NOCASE,PRIMARY
KeyName                  KEY(EMAB:Name,EMAB:ID),NOCASE,OPT
Record                   RECORD,PRE()
Name                        STRING(100)
Email                       STRING(100)
Adres                       STRING(100)
Phone                       STRING(20)
Archive                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(ViplFSSPr)
ViplFSSPr            FILE,DRIVER('TOPSPEED'),PRE(VFSSP),CREATE,THREAD
KeyViplFSS               KEY(VFSSP:IDVipl,VFSSP:START_DATE),NAME('IDVipl+Start_DATE'),NOCASE
Record                   RECORD,PRE()
IDVipl                      LONG
TYPE_EXCL                   BYTE
START_DATE                  LONG
END_DATE                    LONG
IDLE_AVERAGE                DECIMAL(15,2)
                         END
                     END                       

#FILE(ViplFSSDoc)
ViplFSSDoc           FILE,DRIVER('TOPSPEED'),PRE(VFSSD),CREATE,THREAD
KeyViplFSS               KEY(VFSSD:IDVipl,VFSSD:KodDoc),DUP,NAME('IDVipl+KodDoc'),NOCASE
Record                   RECORD,PRE()
IDVipl                      LONG
RODS                        LONG
KodDoc                      BYTE
NameDoc                     STRING(50)
Seria                       STRING(10)
Nomer                       STRING(20)
Data                        LONG
KV                          LONG
InOpis                      BYTE
CountPage                   SHORT
                         END
                     END                       

#FILE(WorkRecord)
WorkRecord           FILE,DRIVER('TOPSPEED'),PRE(WR),CREATE,THREAD
KeyTabn                  KEY(WR:Tabn,WR:DateEvent,WR:ID),NOCASE,OPT
KeyPeriod                KEY(WR:PeriodKod,WR:Name,WR:Tabn,WR:DateEvent,WR:ID),NOCASE,OPT
KeyTransfer              KEY(WR:PeriodKod,WR:DateTransfer,WR:Name,WR:Tabn,WR:DateEvent,WR:ID),NOCASE,OPT
KEYID                    KEY(WR:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Name                        STRING(40)
Tabn                        LONG
DateEvent                   LONG
DateTransfer                LONG
PeriodKod                   LONG
RKS                         BYTE
UUID                        STRING(36)
FlagCancel                  BYTE
DateCancel                  LONG
Vid                         BYTE
FlagSovm                    STRING(3)
Information                 STRING(255)
KodDolg                     LONG
Dolg                        STRING(255)
Podr                        LONG
VidPR                       STRING(255)
KodVF                       STRING(10)
KodVFOKZ                    STRING(6)
Reason                      LONG
DateBegin                   LONG
DateEnd                     LONG
OsnName                     LONG,DIM(2)
OsnDate                     LONG,DIM(2)
OsnNomer                    STRING(20),DIM(2)
OsnSeria                    STRING(10),DIM(2)
VidZ                        BYTE
ID                          LONG
                         END
                     END                       

#FILE(SpraPrichUvol)
SpraPrichUvol        FILE,DRIVER('TOPSPEED'),PRE(SPU),CREATE,THREAD
KEYNAME                  KEY(SPU:Name,SPU:Archive,SPU:ID),NOCASE,OPT
KEYID                    KEY(SPU:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Name                        STRING(255)
KodDoc                      BYTE
KodOsn                      STRING(20)
NameDoc                     STRING(100)
Article                     STRING(10)
Part                        STRING(10)
Paragraph                   STRING(10)
SubParagraph                STRING(10)
Ident                       STRING(10)
Archive                     BYTE
ID                          LONG
                         END
                     END                       

#FILE(SclonP)
SclonP               FILE,DRIVER('TOPSPEED'),PRE(Scl),CREATE,BINDABLE,THREAD
KeyName                  KEY(Scl:NameI),NOCASE,PRIMARY
Record                   RECORD,PRE()
NameI                       STRING(100)
NameR                       STRING(100)
NameD                       STRING(100)
NameV                       STRING(100)
NameT                       STRING(100)
NameP                       STRING(100)
Remark                      STRING(100)
                         END
                     END                       

#FILE(IncudeDocument)
IncudeDocument       FILE,DRIVER('TOPSPEED'),PRE(IncDoc),CREATE,THREAD
InsideDoc                   BLOB
Record                   RECORD,PRE()
IDFile                      LONG
IDRecord                    LONG
IDPeriod                    LONG
NameFile                    STRING(255)
ID                          LONG
                         END
                     END                       

#FILE(ProfStMain)
ProfStMain           FILE,DRIVER('TOPSPEED'),PRE(PSM),CREATE,THREAD
KeyKodD                  KEY(PSM:KodD),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Name                        STRING(250)
NomerD                      STRING(10)
DateD                       LONG
RegNomer                    STRING(20)
KodD                        STRING(6)
NameD                       STRING(250)
                         END
                     END                       

#FILE(ProfStTF)
ProfStTF             FILE,DRIVER('TOPSPEED'),PRE(PSTF),CREATE,THREAD
KeyKod                   KEY(PSTF:KodD,PSTF:KODTF),DUP,NOCASE
Record                   RECORD,PRE()
KodD                        STRING(6)
KODTF                       STRING(2)
NameTF                      STRING(250)
                         END
                     END                       

#FILE(ProfStCode)
ProfStCode           FILE,DRIVER('TOPSPEED'),PRE(PSC),CREATE,THREAD
KeyKodD                  KEY(PSC:KodD,PSC:KODTF),DUP,NOCASE,OPT
KeyByCode                KEY(PSC:TypeCode,PSC:Code),DUP,NOCASE
Record                   RECORD,PRE()
KodD                        STRING(6)
KODTF                       STRING(2)
TypeCode                    BYTE
Code                        STRING(15)
Name                        STRING(150)
                         END
                     END                       

#FILE(MonZPBud)
MonZPBud             FILE,DRIVER('TOPSPEED'),PRE(MZPB),CREATE,THREAD
KeyYear                  KEY(MZPB:Year,MZPB:Obosob),NAME('Year+Obosob'),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Year                        SHORT
Obosob                      LONG
GroupCalc                   GROUP
SumRaschAll                   DECIMAL(15,2),DIM(5)
SumRaschAllSoc                DECIMAL(15,2),DIM(5)
SumSredZP                     DECIMAL(15,2),DIM(4)
                            END
                         END
                     END                       

#FILE(MonZPBudL)
MonZPBudL            FILE,DRIVER('TOPSPEED'),PRE(MZPBL),CREATE,THREAD
KeyYear                  KEY(MZPBL:Year,MZPBL:Month,MZPBL:Name,MZPBL:IDFizList,MZPBL:Tabn,MZPBL:VidReport),DUP,NOCASE
Record                   RECORD,PRE()
Year                        SHORT
VidReport                   BYTE
Month                       BYTE
Name                        STRING(20)
IDFizList                   LONG
Tabn                        LONG
StagO                       BYTE
Dolg                        LONG
StrDolg                     STRING(100)
Kateg                       LONG
Stavka                      DECIMAL(5,3)
NormaH                      DECIMAL(5,2)
WorkH                       DECIMAL(5,2)
ClassVr                     BYTE
StagV                       STRING(5)
Kval                        BYTE
UchStep                     BYTE
UchZv                       BYTE
DogDataB                    LONG
DogDataE                    LONG
DogVid                      BYTE
DogSrok                     BYTE
SumOklad                    DECIMAL(15,2)
Sum                         DECIMAL(15,2),DIM(29)
SumAll                      DECIMAL(15,2)
SumDop                      DECIMAL(15,2),DIM(2)
                         END
                     END                       

#FILE(StatStroka)
StatStroka           FILE,DRIVER('TOPSPEED'),PRE(ZPStr),CREATE,BINDABLE,THREAD
KEYKOD                   KEY(ZPStr:KODREPORT,ZPStr:KOD),NAME('KodReport+Kod'),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
KODREPORT                   BYTE
KOD                         STRING(10)
NAME                        STRING(200)
Finter                      STRING(20)
SUM                         DECIMAL(15,2)
                         END
                     END                       

#FILE(StatTypeOrg)
StatTypeOrg          FILE,DRIVER('TOPSPEED'),PRE(ZPTOrg),CREATE,BINDABLE,THREAD
KeyKOD                   KEY(ZPTOrg:KodReport,ZPTOrg:Kod),DUP,NOCASE
Record                   RECORD,PRE()
KodReport                   BYTE
Kod                         STRING(10)
Name                        STRING(200)
DataB                       LONG
DataE                       LONG
                         END
                     END                       

#FILE(MonVMR)
MonVMR               FILE,DRIVER('TOPSPEED'),PRE(MVMR),CREATE,THREAD
KeyYear                  KEY(MVMR:Year,MVMR:Month,MVMR:Name,MVMR:IDFizList,MVMR:Tabn),DUP,NOCASE
Record                   RECORD,PRE()
Year                        SHORT
Month                       BYTE
Name                        STRING(20)
IDFizList                   LONG
Tabn                        LONG
StagO                       BYTE
Dolg                        LONG
Kateg                       LONG
Stavka                      DECIMAL(5,2)
NormaH                      DECIMAL(5,2)
WorkH                       DECIMAL(5,2)
SumFed                      DECIMAL(15,2)
SumReg                      DECIMAL(15,2)
                         END
                     END                       

#FILE(SZLFSS)
SZLFSS               FILE,DRIVER('TOPSPEED'),PRE(SZLF),CREATE,THREAD
KeyID                    KEY(SZLF:ID),NOCASE,PRIMARY
KeyTabn                  KEY(SZLF:IDFizList,SZLF:DataZ,SZLF:ID),NOCASE
KeyName                  KEY(SZLF:Name,SZLF:IDFizList,SZLF:DataZ,SZLF:ID),NOCASE,OPT
KeyDataZ                 KEY(SZLF:DataZ,SZLF:Name,SZLF:ID),NOCASE,OPT
Record                   RECORD,PRE()
IDFizList                   LONG
Name                        STRING(20)
DataZ                       LONG
Remark                      STRING(100)
DataVigr                    LONG
OWNER_FLAG                  BYTE
IDUpoln                     LONG
PAYMENT_TYPE                BYTE
ACCOUNT_BIC                 STRING(9)
ACCOUNT_NAME                STRING(80)
ACCOUNT                     STRING(20)
PAYCARD_NUM                 STRING(19)
AdresPol                    STRING(110)
LIVE_COND                   BYTE
CODE_NUCLEAR                BYTE
FlagUvol                    BYTE
DataUvol                    LONG
ID                          LONG
                         END
                     END                       

#FILE(KLADRGUID)
KLADRGUID            FILE,DRIVER('TOPSPEED'),PRE(KLDRGD),CREATE,BINDABLE,THREAD
KEYKLADR                 KEY(KLDRGD:IDKLADR),DUP,NOCASE
Record                   RECORD,PRE()
IDKLADR                     STRING(15)
GUIDFIAS                    STRING(36)
                         END
                     END                       

#FILE(TabelPerem)
TabelPerem           FILE,DRIVER('TOPSPEED'),PRE(TBLP),CREATE,THREAD
KEYTABN                  KEY(TBLP:TABN,TBLP:Year,TBLP:MM,TBLP:IDPerem),NOCASE,OPT
KeyPerem                 KEY(TBLP:IDPerem,TBLP:Year,TBLP:MM),NOCASE,OPT
Record                   RECORD,PRE()
TABN                        LONG
Year                        SHORT
MM                          BYTE
IDPerem                     LONG
DAY                         DECIMAL(7,2)
HOUR                        DECIMAL(7,2)
HOURVID                     DECIMAL(7,2),DIM(5)
                         END
                     END                       

#FILE(PlatVedD)
PlatVedD             FILE,DRIVER('TOPSPEED'),PRE(PlVD),CREATE,THREAD
KeyPlatVedS              KEY(PlVD:IDVedS),DUP,NOCASE
Record                   RECORD,PRE()
IDVedS                      LONG
KN                          LONG
SUM                         DECIMAL(15,2)
                         END
                     END                       

#FILE(Monitor)
Monitor              FILE,DRIVER('TOPSPEED'),PRE(Mon),CREATE,THREAD
KeyTabn                  KEY(Mon:Tabn,Mon:Period,Mon:ID),NAME('Tabn+Year+Month+ID'),NOCASE,OPT
KeyPeriodN               KEY(Mon:Period,Mon:NAME,Mon:Tabn,Mon:DateB,Mon:ID),DUP,NAME('Period+Name+Tabn+DataB+ID'),NOCASE
KeyPeriodP               KEY(Mon:Period,Mon:NomerPach,Mon:NAME,Mon:Tabn,Mon:DateB,Mon:ID),NAME('Period+NomerPach+Name+Tabn+DataB+ID'),NOCASE,OPT
KeyID                    KEY(Mon:ID),NAME('ID'),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Period                      LONG
TypeKorr                    BYTE
KorrYear                    SHORT
KorrMonth                   BYTE
NomerPach                   LONG
NAME                        STRING(30)
Tabn                        LONG
DateB                       LONG
DateE                       LONG
Podr                        LONG
KodDolg                     STRING(10)
KategPers                   STRING(3)
UchStep                     STRING(2)
UchZvan                     STRING(10)
PochZvan                    STRING(13)
DogVid                      BYTE
DogSrok                     BYTE
ProfGroup                   STRING(20)
ProfLevel                   BYTE
Vred                        BYTE
Atest                       BYTE
Stavka                      DECIMAL(4,3)
SysOpl                      BYTE
OKLAD                       DECIMAL(15,2)
Norma                       DECIMAL(7,2)
Work                        DECIMAL(7,2)
SumItog                     DECIMAL(15,2)
NoInc                       BYTE
ID                          LONG
                         END
                     END                       

#FILE(MonitorZar)
MonitorZar           FILE,DRIVER('TOPSPEED'),PRE(MonZar),CREATE,THREAD
KeyMon                   KEY(MonZar:IDMon,MonZar:KKod,MonZar:Kod),NAME('IDMon+Kod'),NOCASE,PRIMARY
Record                   RECORD,PRE()
IDMon                       LONG
KKod                        BYTE
Kod                         STRING(5)
Sum                         DECIMAL(15,2)
                         END
                     END                       

#FILE(Uved)
Uved                 FILE,DRIVER('TOPSPEED'),PRE(Uved),CREATE,THREAD
KeyDate                  KEY(Uved:Org,Uved:DateUved,Uved:ID),NOCASE,OPT
KeyID                    KEY(Uved:ID),NOCASE,OPT,PRIMARY
Record                   RECORD,PRE()
Org                         LONG
DateAdd                     LONG
TimeAdd                     LONG
DateUved                    LONG
SumUved                     DECIMAL(15,2)
DatePlat                    LONG
SumPlat                     DECIMAL(15,2)
Remark                      STRING(200)
ID                          LONG
                         END
                     END                       

#FILE(UvedNalog)
UvedNalog            FILE,DRIVER('TOPSPEED'),PRE(UvedNalog),CREATE,THREAD
KeyUved                  KEY(UvedNalog:IDUved),DUP,NOCASE,OPT
Record                   RECORD,PRE()
IDUved                      LONG
Mark                        LONG
KPP                         STRING(9)
OKTMO                       STRING(11)
KBK                         STRING(20)
OtchPer                     BYTE
MONTH                       BYTE
YEAR                        SHORT
Remark                      STRING(50)
Sum                         DECIMAL(15,2)
                         END
                     END                       

#FILE(StatRep)
StatRep              FILE,DRIVER('TOPSPEED'),PRE(StRep),CREATE,THREAD
KEYKOD                   KEY(StRep:KOD),DUP,NOCASE,OPT
REM                         MEMO(2000)
Record                   RECORD,PRE()
KOD                         SHORT
Dostup                      BYTE
NAME                        STRING(100)
Forma                       STRING(20)
KodPeriod                   BYTE
DayB                        BYTE
MonthB                      BYTE
DayE                        BYTE
MonthE                      BYTE
FlagInWoorkDay              BYTE
DATAB                       LONG
DATAE                       LONG
                         END
                     END                       

#FILE(Stat1PR)
Stat1PR              FILE,DRIVER('TOPSPEED'),PRE(St1PR),CREATE,BINDABLE,THREAD
KeyID                    KEY(St1PR:ID),NOCASE,OPT,PRIMARY
KEYPR                    KEY(St1PR:KodOrg,St1PR:Year,St1PR:Month,St1PR:DataB,St1PR:ID),NAME('KodOrg+Year+Month+DataB+ID'),NOCASE,OPT
Record                   RECORD,PRE()
KodOrg                      LONG
Year                        SHORT
Month                       BYTE
DataB                       LONG
DataE                       LONG
Sred                        DECIMAL(15,2)
CountUch                    LONG
CountVovl                   LONG
Hour1                       DECIMAL(15,2)
Sum1                        DECIMAL(15,2)
Hour2                       DECIMAL(15,2)
Sum2                        DECIMAL(15,2)
CountOrg                    LONG
CountUchBeg                 LONG
CountVovlBeg                LONG
KodPrich                    BYTE
ID                          LONG
                         END
                     END                       

